

**Baseline business outcomes
///br business_work_bl hhroster_2_1_bl hhroster_2_2_bl labor_1_1_bl labor_1_2_bl enterprise* if business_work_bl==1 

forvalues j=1/4 {
clonevar owner_bus_`j'_bl = enterprise_3_`j'_bl
split owner_bus_`j'_bl, destring
}

*********************************************************************************************
*******NEW DEFINITION OF BUSINESS WORK AT BASELINE?
***Business Work at Baseline Alternative (impute zeros for women who don't report any business activity at baseline enterprise_1_bl; plus 12 businesses who report women have a business in the enterprise section)
clonevar business_work_new_bl = business_work_bl
replace business_work_new_bl = 1 if enterprise_1_bl==1 & ((owner_bus_1_bl1==female_respondent_bl) | (owner_bus_1_bl1==female_respondent_bl) | (owner_bus_1_bl2==female_respondent_bl) | (owner_bus_1_bl3==female_respondent_bl) | (owner_bus_2_bl1==female_respondent_bl) | (owner_bus_2_bl2==female_respondent_bl) | (owner_bus_3_bl1==female_respondent_bl) | (owner_bus_4_bl1==female_respondent_bl))
recode business_work_new_bl (.=0) if  enterprise_1_bl!=.

*********************************************************************************************

**PROFITS
**If the female is named as the business owner we attribute the profit to her (sometimes the business profit might be reported by a different HH member but ownership is attributed to her)
gen profits_fem_bus_1_bl = enterprise_18_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl1==female_respondent_bl)
replace profits_fem_bus_1_bl = enterprise_18_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl2==female_respondent_bl)
replace profits_fem_bus_1_bl = enterprise_18_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl3==female_respondent_bl)

gen profits_fem_bus_2_bl = enterprise_18_2_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_2_bl1==female_respondent_bl)
replace profits_fem_bus_2_bl = enterprise_18_2_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_2_bl2==female_respondent_bl)

gen profits_fem_bus_3_bl = enterprise_18_3_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_3_bl1==female_respondent_bl)

gen profits_fem_bus_4_bl = enterprise_18_4_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_4_bl1==female_respondent_bl)
 
egen profits_fem_bus_bl = rowtotal(profits_fem_bus_1_bl profits_fem_bus_2_bl profits_fem_bus_3_bl profits_fem_bus_4_bl) 
 
**STOCK OF RAW MATS CURRENTLY OWNED
gen rawmats_stock_fem_bus_1_bl = enterprise_21_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl1==female_respondent_bl)
replace rawmats_stock_fem_bus_1_bl = enterprise_21_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl2==female_respondent_bl)
replace rawmats_stock_fem_bus_1_bl = enterprise_21_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl3==female_respondent_bl)

gen rawmats_stock_fem_bus_2_bl = enterprise_21_2_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_2_bl1==female_respondent_bl)
replace rawmats_stock_fem_bus_2_bl = enterprise_21_2_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_2_bl2==female_respondent_bl)

gen rawmats_stock_fem_bus_3_bl = enterprise_21_3_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_3_bl1==female_respondent_bl)

gen rawmats_stock_fem_bus_4_bl = enterprise_21_4_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_4_bl1==female_respondent_bl)

egen rawmats_stock_fem_bus_bl = rowtotal(rawmats_stock_fem_bus_1_bl rawmats_stock_fem_bus_2_bl rawmats_stock_fem_bus_3_bl rawmats_stock_fem_bus_4_bl) 

***Raw materials listed in the costs section (30DAYS)
gen rawmats_lastmonth_fem_bus_1_bl = enterprise_24_6_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl1==female_respondent_bl)
replace rawmats_lastmonth_fem_bus_1_bl = enterprise_24_6_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl2==female_respondent_bl)
replace rawmats_lastmonth_fem_bus_1_bl = enterprise_24_6_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl3==female_respondent_bl)

gen rawmats_lastmonth_fem_bus_2_bl = enterprise_24_6_2_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_2_bl1==female_respondent_bl)
replace rawmats_lastmonth_fem_bus_2_bl = enterprise_24_6_2_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_2_bl2==female_respondent_bl)

gen rawmats_lastmonth_fem_bus_3_bl = enterprise_24_6_3_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_3_bl1==female_respondent_bl)

gen rawmats_lastmonth_fem_bus_4_bl = enterprise_24_6_4_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_4_bl1==female_respondent_bl)

egen rawmats_lastmonth_fem_bus_bl = rowtotal(rawmats_lastmonth_fem_bus_1_bl rawmats_lastmonth_fem_bus_2_bl rawmats_lastmonth_fem_bus_3_bl rawmats_lastmonth_fem_bus_4_bl)

***Sales in last month
gen sales_lastmonth_fem_bus_1_bl = enterprise_23_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl1==female_respondent_bl)
replace sales_lastmonth_fem_bus_1_bl = enterprise_23_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl2==female_respondent_bl)
replace sales_lastmonth_fem_bus_1_bl = enterprise_23_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl3==female_respondent_bl)

gen sales_lastmonth_fem_bus_2_bl = enterprise_23_2_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_2_bl1==female_respondent_bl)
replace sales_lastmonth_fem_bus_2_bl = enterprise_23_2_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_2_bl2==female_respondent_bl)

gen sales_lastmonth_fem_bus_3_bl = enterprise_23_3_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_3_bl1==female_respondent_bl)

gen sales_lastmonth_fem_bus_4_bl = enterprise_23_4_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_4_bl1==female_respondent_bl)

egen sales_lastmonth_fem_bus_bl = rowtotal(sales_lastmonth_fem_bus_1_bl sales_lastmonth_fem_bus_2_bl sales_lastmonth_fem_bus_3_bl sales_lastmonth_fem_bus_4_bl)

recode profits_fem_bus_bl rawmats_stock_fem_bus_bl rawmats_lastmonth_fem_bus_bl sales_lastmonth_fem_bus_bl (*=.) if business_work_new_bl==.
recode profits_fem_bus_bl rawmats_stock_fem_bus_bl rawmats_lastmonth_fem_bus_bl sales_lastmonth_fem_bus_bl (0=.) if enterprise_1_bl==0 &  business_work_new_bl==1

**********************************************************************************************
**CONSUMPTION: Creating a baseline Daily Adult Equivalence Consumption Measure
**Daily per capita Consumption using adult equivalence
**********************************************************************************************

/***Adult Equivalence Scale: Commonly used is the OECD scale, which may be written as  AE = =1 + 0.7(Nadults −1) + 0.5Nchildren
*/

**Where number of children are those who are aged under <15years old in the household and are therefore given a lower weight

gen num_adults_bl = num_hh_members_bl - number_children_bl

*If num_adults<0 then maybe all the children don't actually live in the household?

replace num_adults_bl = num_hh_members_bl if num_adults_bl<=0

gen adult_eq_bl = 1 + ((num_adults_bl-1)*0.7) + (number_children_bl*0.5)

gen daily_adulteq_expenses_bl = daily_hh_expenses_bl/adult_eq_bl
//winsor daily_adulteq_expenses_bl, gen(w_daily_adulteq_expenses_bl) p(0.01) 

//la var w_daily_adulteq_expenses_bl "Daily adult eq expenditures BL"

**Summary stats
//sum w_daily_adulteq_expenses_bl 

**********************************************************************************************
***Assets at baseline- I winsorize the current asset value from the aspirations section at baseline at the 95 percentile 
**********************************************************************************************
sum aspire_a21_bl
winsor aspire_a21_bl, gen(w_aspire_a21_bl) p(0.05) 
clonevar nonland_assets_bl = w_aspire_a21_bl


*** 
* OTHER VARIABLES RELATED TO BUSINESS
********************************************************************
recode inf_1_12_3 (2=0)

gen wage_emp_fup2_w=inf_1_12_3  if inf_1_5==1 & inf_1_1b==1 & time==1
gen wage_emp_fup2_h=inf_1_12_3  if inf_1_5==2 & inf_1_1b==1 & time==1

gen wage_emp_fup3_w=inf_1_12_3  if inf_1_5==1 & inf_1_1b==1 & time==2
gen wage_emp_fup3_h=inf_1_12_3  if inf_1_5==2 & inf_1_1b==1 & time==2

clonevar source_rawmat=new_act_1_19b 
odkmchoice source_rawmat, numcategories(6)

forval i=1/6{
gen source_rawmat_dum_`i'_fup2_w=source_rawmat_dum_`i' if  inf_1_5==1 & inf_1_1b==1 & time==1
gen source_rawmat_dum_`i'_fup2_h=source_rawmat_dum_`i' if  inf_1_5==2 & inf_1_1b==1 & time==1
gen source_rawmat_dum_`i'_fup3_w=source_rawmat_dum_`i' if  inf_1_5==1 & inf_1_1b==1 & time==2
gen source_rawmat_dum_`i'_fup3_h=source_rawmat_dum_`i' if  inf_1_5==2 & inf_1_1b==1 & time==2
}

clonevar year_bus_fup2_w=new_act_1_17b if inf_1_5==1 & inf_1_1b==1 & time==1
clonevar year_bus_fup2_h=new_act_1_17b if inf_1_5==2 & inf_1_1b==1 & time==1
clonevar year_bus_fup3_w=new_act_1_17b if inf_1_5==1 & inf_1_1b==1 & time==2
clonevar year_bus_fup3_h=new_act_1_17b if inf_1_5==2 & inf_1_1b==1 & time==2

*** CHOP mONEY 
clonevar tr_4_w=tr_4 if inf_1_5==1 & inf_1_1b==1
odkmchoice tr_4_w, numcategories(9)

*** INCOME & loans 
gl var_list household_income
gen hh_income_w=household_income  if inf_1_5==1 & inf_1_1b==1
gen hh_income_h=household_income  if inf_1_5==2 & inf_1_1b==1

gen ttl_hh_loans_fup2_w=sav_1_5 if inf_1_5==1 & inf_1_1b==1 & time==1
gen ttl_hh_loans_fup2_h=sav_1_5 if inf_1_5==2 & inf_1_1b==1 & time==1
gen ttl_hh_loans_fup3_w=sav_1_5 if inf_1_5==1 & inf_1_1b==1 & time==2
gen ttl_hh_loans_fup3_h=sav_1_5 if inf_1_5==2 & inf_1_1b==1 & time==2

ren daily_percapita_income_bl daily_pc_income_bl

***************************************************************************
***Male Business at Baseline
***************************************************************************
**Baseline business outcomes
br male_respondent_bl business_work_bl hhroster_2_1_bl hhroster_2_2_bl labor_1_1_bl labor_1_2_bl enterprise* 


**Business Work for Men

gen numb = 1 if male_respondent_bl==1 & labor_1_1_bl==1 
replace numb = 2 if male_respondent_bl==2 & labor_1_2_bl==2 
replace numb = 3 if male_respondent_bl==3 & labor_1_3_bl==3 
replace numb = 4 if male_respondent_bl==4 & labor_1_4_bl==4 
replace numb = 5 if male_respondent_bl==5 & labor_1_5_bl==5 
replace numb = 6 if male_respondent_bl==6 & labor_1_6_bl==6 

gen business_work_labor_men_bl = 1 if numb==1 & labor_10_1_bl==1 
recode business_work_labor_men_bl (.= 1) if numb==2 & labor_10_2_bl==1  
recode business_work_labor_men_bl (.= 1) if numb==3 & labor_10_3_bl==1 
recode business_work_labor_men_bl (.= 1) if numb==4 & labor_10_4_bl==1   
recode business_work_labor_men_bl (.= 1) if numb==5 & labor_10_5_bl==1  
recode business_work_labor_men_bl (.= 1) if numb==6 & labor_10_6_bl==1  
recode business_work_labor_men_bl (.= 1) if numb==1 & labor_11_1_bl==1 
recode business_work_labor_men_bl (.= 1) if numb==2 & labor_11_2_bl==1  
recode business_work_labor_men_bl (.= 1) if numb==3 & labor_11_3_bl==1 
recode business_work_labor_men_bl (.= 1) if numb==4 & labor_11_4_bl==1   
recode business_work_labor_men_bl (.= 1) if numb==5 & labor_11_5_bl==1  
recode business_work_labor_men_bl (.= 1) if numb==6 & labor_11_6_bl==1  

drop numb
gen numb = 1 if male_respondent_bl==1 & labor_1_1_bl==1 
recode business_work_labor_men_bl (.= 1) if numb==1 & labor_10_1_bl==1 | labor_11_1_bl==1 

label var business_work_labor_men_bl "Male respondent involved in enterprise activity in BL LABOR section"

/***Ownership of the businesses within the household in the ENTERPRISE SECTION
forvalues j=1/4 {
clonevar owner_bus_`j'_bl = enterprise_3_`j'_bl
split owner_bus_`j'_bl, destring
}
*/

*********************************************************************************************
*******DEFINITION OF BUSINESS WORK AT BASELINE FOR MEN?
***Business Work at Baseline we use the ENTERPRISE SECTION enterprise_1_bl and look at ownership of a business being the male respondent then we include if in the labor section the male respondent also reported non-farm enterprise activity in the past 30days (impute zeros for men who don't report any business activity at baseline)
gen business_work_men_bl = 1 if enterprise_1_bl==1 & ((owner_bus_1_bl1==male_respondent_bl) | (owner_bus_1_bl1==male_respondent_bl) | (owner_bus_1_bl2==male_respondent_bl) | (owner_bus_1_bl3==male_respondent_bl) | (owner_bus_2_bl1==male_respondent_bl) | (owner_bus_2_bl2==male_respondent_bl) | (owner_bus_3_bl1==male_respondent_bl) | (owner_bus_4_bl1==male_respondent_bl))
recode business_work_men_bl (.=0) if  enterprise_1_bl!=.

label var business_work_men_bl "Male respondent involved in enterprise activity in BL ENTERPRISE section"

clonevar business_work_bl_males = business_work_men_bl
*replace business_work_bl_males = 1 if business_work_labor_men_bl==1

*********************************************************************************************

**If the male is named as the business owner we attribute the profit to him (sometimes the business profit might be reported by a different HH member but ownership is attributed to him)
gen profits_men_bus_1_bl = enterprise_18_1_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_1_bl1==male_respondent_bl)
replace profits_men_bus_1_bl = enterprise_18_1_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_1_bl2==male_respondent_bl)
replace profits_men_bus_1_bl = enterprise_18_1_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_1_bl3==male_respondent_bl)

gen profits_men_bus_2_bl = enterprise_18_2_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_2_bl1==male_respondent_bl)
replace profits_men_bus_2_bl = enterprise_18_2_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_2_bl2==male_respondent_bl)

gen profits_men_bus_3_bl = enterprise_18_3_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_3_bl1==male_respondent_bl)

gen profits_men_bus_4_bl = enterprise_18_4_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_4_bl1==male_respondent_bl)
 
egen profits_men_bus_bl = rowtotal(profits_men_bus_1_bl profits_men_bus_2_bl profits_men_bus_3_bl profits_men_bus_4_bl) 
 
 
gen rawmats_stock_men_bus_1_bl = enterprise_21_1_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_1_bl1==male_respondent_bl)
replace rawmats_stock_men_bus_1_bl = enterprise_21_1_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_1_bl2==male_respondent_bl)
replace rawmats_stock_men_bus_1_bl = enterprise_21_1_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_1_bl3==male_respondent_bl)

gen rawmats_stock_men_bus_2_bl = enterprise_21_2_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_2_bl1==male_respondent_bl)
replace rawmats_stock_men_bus_2_bl = enterprise_21_2_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_2_bl2==male_respondent_bl)

gen rawmats_stock_men_bus_3_bl = enterprise_21_3_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_3_bl1==male_respondent_bl)

gen rawmats_stock_men_bus_4_bl = enterprise_21_4_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_4_bl1==male_respondent_bl)

egen rawmats_stock_men_bus_bl = rowtotal(rawmats_stock_men_bus_1_bl rawmats_stock_men_bus_2_bl rawmats_stock_men_bus_3_bl rawmats_stock_men_bus_4_bl) 

***Raw materials listed in the costs section
gen rawmats_lastmonth_men_bus_1_bl = enterprise_24_6_1_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_1_bl1==male_respondent_bl)
replace rawmats_lastmonth_men_bus_1_bl = enterprise_24_6_1_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_1_bl2==male_respondent_bl)
replace rawmats_lastmonth_men_bus_1_bl = enterprise_24_6_1_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_1_bl3==male_respondent_bl)

gen rawmats_lastmonth_men_bus_2_bl = enterprise_24_6_2_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_2_bl1==male_respondent_bl)
replace rawmats_lastmonth_men_bus_2_bl = enterprise_24_6_2_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_2_bl2==male_respondent_bl)

gen rawmats_lastmonth_men_bus_3_bl = enterprise_24_6_3_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_3_bl1==male_respondent_bl)

gen rawmats_lastmonth_men_bus_4_bl = enterprise_24_6_4_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_4_bl1==male_respondent_bl)

egen rawmats_lastmonth_men_bus_bl = rowtotal(rawmats_lastmonth_men_bus_1_bl rawmats_lastmonth_men_bus_2_bl rawmats_lastmonth_men_bus_3_bl rawmats_lastmonth_men_bus_4_bl)

***Sales
gen sales_lastmonth_men_bus_1_bl = enterprise_23_1_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_1_bl1==male_respondent_bl)
replace sales_lastmonth_men_bus_1_bl = enterprise_23_1_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_1_bl2==male_respondent_bl)
replace sales_lastmonth_men_bus_1_bl = enterprise_23_1_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_1_bl3==male_respondent_bl)

gen sales_lastmonth_men_bus_2_bl = enterprise_23_2_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_2_bl1==male_respondent_bl)
replace sales_lastmonth_men_bus_2_bl = enterprise_23_2_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_2_bl2==male_respondent_bl)

gen sales_lastmonth_men_bus_3_bl = enterprise_23_3_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_3_bl1==male_respondent_bl)

gen sales_lastmonth_men_bus_4_bl = enterprise_23_4_bl if business_work_bl_males==1 & enterprise_1_bl==1 & (owner_bus_4_bl1==male_respondent_bl)

egen sales_lastmonth_men_bus_bl = rowtotal(sales_lastmonth_men_bus_1_bl sales_lastmonth_men_bus_2_bl sales_lastmonth_men_bus_3_bl sales_lastmonth_men_bus_4_bl)

recode profits_men_bus_bl rawmats_stock_men_bus_bl rawmats_lastmonth_men_bus_bl sales_lastmonth_men_bus_bl (*=.) if business_work_bl_males==.
recode profits_men_bus_bl rawmats_stock_men_bus_bl rawmats_lastmonth_men_bus_bl sales_lastmonth_men_bus_bl (0=.) if enterprise_1_bl==0 & business_work_bl_males==1

**Only true if a male respondent was indicated at baseline that we can attribute the business to
recode business_work_men_bl business_work_bl_males profits_men_bus_bl rawmats_stock_men_bus_bl rawmats_lastmonth_men_bus_bl sales_lastmonth_men_bus_bl (*=.) if male_respondent_bl==. | male_respondent_bl==13 | male_respondent_bl==15 | male_respondent_bl==16  
recode profits_men_bus_bl rawmats_stock_men_bus_bl rawmats_lastmonth_men_bus_bl sales_lastmonth_men_bus_bl (.=0) if business_work_men_bl!=.  

*******NEW DEFINITION OF BUSINESS WORK AT BASELINE?
***Business Work at Baseline Alternative (Only include businesses indicated as owned in the enterprise section)
gen business_work_women_bl = 1 if enterprise_1_bl==1 & ((owner_bus_1_bl1==female_respondent_bl) | (owner_bus_1_bl1==female_respondent_bl) | (owner_bus_1_bl2==female_respondent_bl) | (owner_bus_1_bl3==female_respondent_bl) | (owner_bus_2_bl1==female_respondent_bl) | (owner_bus_2_bl2==female_respondent_bl) | (owner_bus_3_bl1==female_respondent_bl) | (owner_bus_4_bl1==female_respondent_bl))
recode business_work_women_bl (.=0) if  enterprise_1_bl!=.

recode profits_fem_bus_bl rawmats_stock_fem_bus_bl rawmats_lastmonth_fem_bus_bl sales_lastmonth_fem_bus_bl (.=0) if female_respondent_bl!=. & business_work_women_bl!=.

/* WE SHOULD NOT WINSORIZED AT THIS LEVEL BECAUSE IS PANEL DATA 
**Winsorize the profits and the raw materials vars
foreach var of varlist profits_fem_bus_bl rawmats_lastmonth_fem_bus_bl profits_men_bus_bl rawmats_lastmonth_men_bus_bl {
winsor `var', gen(w_`var') p(0.01)
}
*/


******Do we want to correct the 35 businesses?

****Correcting the 35 business participation coded as zero at midline that should be one because they have postive profits?
br business_work inf_1_12_* new_act* new_act_1_20b profits_business activity business_work time if profits_business>0 & business_work==0 & inf_1_5==1 & treat_fnlp==0

recode business_work (0=1) if profits_business>0 & business_work==0 & inf_1_5==1 & treat_fnlp==0 & time==1


* Generating business work variables by round and gender (so names match)
   * Business for women 
   	gen     business_work_bl_w=business_work_women_bl if inf_1_5==1
	gen     business_work_fup2_w=business_work if time==1 & inf_1_5==1
	gen     business_work_fup3_w=business_work if time==2 & inf_1_5==1
	gen     rawmats_business_bl_w=rawmats_lastmonth_fem_bus_bl if inf_1_5==1
	gen     profits_business_bl=profits_fem_bus_bl if inf_1_5==1
	gen     profits_business_fup2=profits_business if time==1 & inf_1_5==1
	gen     profits_business_fup3=profits_business if time==2 & inf_1_5==1

	
	* Business for Husband 
	gen     business_work_bl_h=business_work_men_bl if inf_1_5==2	
	gen     business_work_fup2_h=business_work if time==1 & inf_1_5==2
	gen     business_work_fup3_h=business_work if time==2 & inf_1_5==2
	gen     profits_business_bl_h=profits_men_bus_bl if inf_1_5==2
	gen     profits_business_fup2_h=profits_business if time==1 & inf_1_5==2
	gen     profits_business_fup3_h=profits_business if time==2 & inf_1_5==2
	gen     rawmats_business_bl_h=rawmats_lastmonth_men_bus_bl if inf_1_5==1  
	gen     weai_6a_bl_w=weai_6a_bl if inf_1_5==1

********************
* Other business variables 
	recode new_act_1_21b (6=5) // Recoding 6 as 5 on the meantime 
	tab    new_act_1_21b, gen(d_locationbuss_)
	clonevar location_buss_fup2=new_act_1_21b if time==1 & inf_1_5==1
  	clonevar location_buss_fup3=new_act_1_21b if time==2 & inf_1_5==1
