preserve 
 * Merging with anthropromnetrics data 
	use "$data/Raw/FNLP_Endline_ChildAnthroData.dta", clear 

 * Generating new var 
	drop if j==.
	gl anthrop_var haz waz whz MUAC_z haz_tot waz_tot ///
				   whz_tot MUAC_tot haz_3sd ///
				   waz_3sd whz_3sd MUAC_under3sd	
	foreach var of varlist $anthrop_var{	
	gen `var'_temp1=`var' if gender_child=="boy"    
	bysort hhid: egen `var'_g=mean(`var'_temp1)
	gen `var'_temp2=`var' if gender_child=="girl"    
	bysort hhid: egen `var'_b=mean(`var'_temp2) 
	}

  * Collapse 
	collapse $anthrop_var *_b *_g, by (hhid)

	local child boys
	la var	haz_b "Height-for-age (z-score)(`child')"
	la var	waz_b "Weight-for-age (z-score)(`child')"
	la var	whz_b "Weight-for-height (z-score)(`child')"
	la var	MUAC_z_b "Middle and upper arm Circumference (z-score)(`child')"
	la var	haz_tot_b "Moderate Stunting: Height-for-age (2sd)(`child')"
	la var	waz_tot_b "Underweight: Weight-for-age (2sd)(`child')"
	la var	whz_tot_b "Wasting: Weight-for-height (2sd)(`child')"
	la var	MUAC_tot_b "Middle and upper arm Circumference (2sd)(`child')"
	la var	haz_3sd_b "Severe Stunting: Height-for-age (3sd)(`child')"
	la var	waz_3sd_b "Severe Underweight: Weight-for-age (3sd)(`child')"
	la var	whz_3sd_b "Severe Wasting: Weight-for-height (3sd)(`child')"
	la var	MUAC_under3sd_b "Middle and upper arm Circumference (3sd)(`child')"
	/*
	la var	muac_cutoff125_b "MUAC < 125mm cutoff moderate acute malnutrition(`child')"
	la var	muac_cutoff115_b "MUAC < 115mm cutoff severe acute malnutrition(`child')"
	*/
	local child girls
	la var	haz_g "Height-for-age (z-score)(`child')"
	la var	waz_g "Weight-for-age (z-score)(`child')"
	la var	whz_g "Weight-for-height (z-score)(`child')"
	la var	MUAC_z_g "Middle and upper arm Circumference (z-score)(`child')"
	la var	haz_tot_g "Moderate Stunting: Height-for-age (2sd)(`child')"
	la var	waz_tot_g "Underweight: Weight-for-age (2sd)(`child')"
	la var	whz_tot_g "Wasting: Weight-for-height (2sd)(`child')"
	la var	MUAC_tot_g "Middle and upper arm Circumference (2sd)(`child')"
	la var	haz_3sd_g "Severe Stunting: Height-for-age (3sd)(`child')"
	la var	waz_3sd_g "Severe Underweight: Weight-for-age (3sd)(`child')"
	la var	whz_3sd_g "Severe Wasting: Weight-for-height (3sd)(`child')"
	la var	MUAC_under3sd_g "Middle and upper arm Circumference (3sd)(`child')"
    
	
	la var	haz "Height-for-age (z-score)"
	la var	waz "Weight-for-age (z-score)"
	la var	whz "Weight-for-height (z-score)"
	la var	MUAC_z "Middle and upper arm Circumference (z-score)"
	la var	haz_tot "Moderate Stunting: Height-for-age (2sd)"
	la var	waz_tot "Underweight: Weight-for-age (2sd)"
	la var	whz_tot "Wasting: Weight-for-height (2sd)"
	la var	MUAC_tot "Middle and upper arm Circumference (2sd)"
	la var	haz_3sd "Severe Stunting: Height-for-age (3sd)"
	la var	waz_3sd "Severe Underweight: Weight-for-age (3sd)"
	la var	whz_3sd "Severe Wasting: Weight-for-height (3sd)"
	la var	MUAC_under3sd "Middle and upper arm Circumference (3sd)"	
	
	tempfile datachild 
    save	`datachild'
	restore
	
	merge m:1 hhid using `datachild'
	
	