* **************************************************************** *
*	NIGERIA Feed the future										   *
*   ENDLINE														   *    		
*   2018														   *
*   Section:       												   *
* **************************************************************** *
*** =========================================================================***
*   CONSTRUCTION OF VARIABLES FOR THIS SECTION
*** =========================================================================***
* Number of crops 
  odkmchoice crop_1_1, numcategories(22)
  odkmchoice ag_11_1, numcategories(27)
  
  
** Baseline Crops 
** -----------------------------------------------------------------------------
  /* At Baseline to be able to create a total harvest queantity we need to
     add all the questions from 3 till 8 of crop roster 
	 croproster_4_1_bl croproster_5_1_bl croproster_6_1_bl 
	 croproster_7_1_bl croproster_8_1_bl.
  * At baseline they reported up to 6 crops */
  * Converting to KL
   * Missing units are replace by missing 
   forval questnum=3/8{
	forval cropnum=1/6{	
	local quantity_var   croproster_`questnum'_`cropnum'_bl 
	local unit_var       croproster_`questnum'_unit_`cropnum'_bl
	gen      cropkg_`questnum'_`cropnum'_bl=.
	replace  cropkg_`questnum'_`cropnum'_bl = `quantity_var' if `unit_var'==1
	replace  cropkg_`questnum'_`cropnum'_bl = `quantity_var'*(0.001) if `unit_var'==2
	replace  cropkg_`questnum'_`cropnum'_bl = `quantity_var'*(0.01) if `unit_var'==4
	replace  cropkg_`questnum'_`cropnum'_bl = `quantity_var'*(1.5) if `unit_var'==5
	replace  cropkg_`questnum'_`cropnum'_bl = `quantity_var'*(1.5) if `unit_var'==6
	replace  cropkg_`questnum'_`cropnum'_bl = `quantity_var'*(1.5) if `unit_var'==7
	replace  cropkg_`questnum'_`cropnum'_bl = `quantity_var'*(4.5) if `unit_var'==8
	replace  cropkg_`questnum'_`cropnum'_bl = `quantity_var'*(0.7) if `unit_var'==9
	replace  cropkg_`questnum'_`cropnum'_bl = `quantity_var'*(0.35) if `unit_var'==10
	replace  cropkg_`questnum'_`cropnum'_bl = `quantity_var'*(0.175) if `unit_var'==12
	replace  cropkg_`questnum'_`cropnum'_bl = `quantity_var'*(3) if `unit_var'==14
	replace  cropkg_`questnum'_`cropnum'_bl =. if `unit_var'==16
    }
	}
	
  * We are going to have to types of measure one for all crops and one for the 7 main crops 	
    * Gen variable specific for crops 
	local crop "millet  rice    maize  sorghum   groundnut cowpea  soybean"
    local code " 46       63      42       33         31      8     67    "
	forval i=1/7 {
    forval questnum=3/8{		
	local   cropName: word `i' of `crop'
	local   cropCode: word `i' of `code' 
	gen     cropkg_`questnum'_`cropName'_bl=.
	}
	}
	
  * Replacing if crop is the indicated 
    local crop "millet   rice    maize  sorghum   groundnut cowpea  soybean"
    local code " 46       63      42       33         31      8     67    "
	forval i=1/7 {
    forval questnum=3/8{
	forval  cropnum=1/6{			
	local   cropName: word `i' of `crop'
	local   cropCode: word `i' of `code' 		
	replace cropkg_`questnum'_`cropName'_bl= cropkg_`questnum'_`cropnum'_bl ///
	        if crop_id2_`cropnum'_bl==`cropCode'	
	}
	}
	}
	
	
	* Generating whether they planted the crop and winsor version of the variable 
    forval questnum=3/8{	
    foreach cropName in millet rice maize sorghum groundnut cowpea{
	gen    d_crop_`questnum'_`cropName'_bl=(cropkg_`questnum'_`cropName'_bl>0 ///
	                                        & cropkg_`questnum'_`cropName'_bl<.)	
	winsor cropkg_`questnum'_`cropName'_bl, gen (w_cropkg_`questnum'_`cropName'_bl) p (0.05)			
	}
	}
	
	* For soybeans we cant winsorize because there are too few observations in the data
    forval questnum=3/8{	
    foreach cropName in soybean{	
	gen    d_crop_`questnum'_`cropName'_bl=(cropkg_`questnum'_`cropName'_bl>0 ///
	                                        & cropkg_`questnum'_`cropName'_bl<.)			
	clonevar w_cropkg_`questnum'_`cropName'_bl=cropkg_`questnum'_`cropName'_bl
    }
	}
	
	* We add up all the quantities to generate a total per crop 
    local crop "millet   rice    maize  sorghum   groundnut cowpea  soybean"
    local code " 46       63      42       33         31      8     67    "
	forval i=1/7 {
	local   cropName: word `i' of `crop'
	local   cropCode: word `i' of `code' 
	egen    harv_`cropName'_qt_bl= rowtotal(cropkg_?_`cropName'_bl)
	la var  harv_`cropName'_qt_bl  "Quantity harvested of `cropName'"
	
	egen    w_harv_`cropName'_qt_bl= rowtotal(w_cropkg_?_`cropName'_bl)
	la var  w_harv_`cropName'_qt_bl  "Quantity harvested of `cropName' (Winsor/.95)"	

	la var cropkg_3_`cropName'_bl  "`cropName': Qt of the harvest processed by household"
	la var cropkg_4_`cropName'_bl  "`cropName': Qt of the harvest sold by household"
	la var cropkg_5_`cropName'_bl  "`cropName': Qt of the harvest consumed by household"
	la var cropkg_6_`cropName'_bl  "`cropName': Qt of the harvest given as payment by household"
	la var cropkg_7_`cropName'_bl  "`cropName': Qt of the harvest stored or used by household"
	la var cropkg_8_`cropName'_bl  "`cropName': Qt of the harvest post harvest loss by household"	

	la var w_cropkg_3_`cropName'_bl  "`cropName': Qt of the harvest processed by household (Winsor/.95)"
	la var w_cropkg_4_`cropName'_bl  "`cropName': Qt of the harvest sold by household(Winsor/.95)"
	la var w_cropkg_5_`cropName'_bl  "`cropName': Qt of the harvest consumed by household(Winsor/.95)"
	la var w_cropkg_6_`cropName'_bl  "`cropName': Qt of the harvest given as payment by household(Winsor/.95)"
	la var w_cropkg_7_`cropName'_bl  "`cropName': Qt of the harvest stored or used by household(Winsor/.95)"
	la var w_cropkg_8_`cropName'_bl  "`cropName': Qt of the harvest post harvest loss by household(Winsor/.95)"			
	}
	
*There were 7 key crops that were targeted by the FNLP program: rice, millet, maize, sorghum, groundnut, cowpea and soybean. While the likelihood of growing sorghum and millet increased over time (from baseline in 2015 to endline in 2018), there was little evidence of a treatment impact on the likelihood of growing any of the 7 keys crops that the program targeted (Figure 48). Less than 1% of households grew soybean at endline and so is not shown in the graph.
	
/* Codes of key crops:

millet   46
rice     63
maize    42
sorghum  33
groundnut 31
cowpea  8 
soybean 67*/	
	

* Generating crops at baseline 
  egen   num_crops_cult_bl=rownonmiss(crop_id_*_*_bl)
  la var num_crops_cult_bl "Baseline: Number of crops cultivated"
  sum    num_crops_cult_bl
  drop   ag_11_1_dum_*   
    
  egen   num_crops_cult=rowtotal(crop_1_1_dum_1-crop_1_1_dum_22)
  la var num_crops_cult "Endline: Number of crops cultivated"
  sum    num_crops_cult
  drop   crop_1_1_dum_*   	
	
  forval crop=1/7{
  replace crop_1_2b_`crop'="1" if crop_1_2b_`crop'=="16" 
  replace crop_1_2b_`crop'="1" if crop_1_2b_`crop'=="22" 
  replace crop_1_2b_`crop'="1" if crop_1_2b_`crop'=="12" 
  replace crop_1_2b_`crop'="1" if crop_1_2b_`crop'=="10" 
  replace crop_1_2b_`crop'="1" if crop_1_2b_`crop'=="8" 
  replace crop_1_2b_`crop'="1" if crop_1_2b_`crop'=="2" 
  replace crop_1_2b_`crop'="1" if crop_1_2b_`crop'=="23" 
  }
  

  destring crop_1_2b_*, replace
  
* Standarzing units 
* ------------------------------------------------------------------------------

 * Cleaning other option for land 	
   forval i=1/7{
	replace crop_1_4_unit_oth_`i'="Ridges" if crop_1_4_unit_oth_`i'=="Rigges"
	replace crop_1_4_unit_oth_`i'="Ridges" if crop_1_4_unit_oth_`i'=="Rages"
	replace crop_1_4_unit_oth_`i'="Ridges" if crop_1_4_unit_oth_`i'=="Rages"  |  ///
			crop_1_4_unit_oth_`i' =="Ridgs" | 	crop_1_4_unit_oth_4=="Riggids" | ///
			crop_1_4_unit_oth_`i' =="Rigits"
	 replace crop_1_4_`i'=. if crop_1_4_`i'==2017
			}
	
	
  * Units 
	local plots			1	
	local acres			2
	local hectares		3	
	local other			4
	local quantity_var  crop_1_4
	local unit_var      crop_1_4_unit
	
	forval crop=1/7{
	gen      area_crop_`crop'=`quantity_var'_`crop'
	//replace  area_crop_`crop'=`quantity_var'_`crop'*0.0001516 if `unit_var'_`crop'==`heaps'
	//replace  area_crop_`crop'=`quantity_var'_`crop'*0.00014   if `unit_var'_`crop'==`stands'
	replace  area_crop_`crop'=`quantity_var'_`crop'*0.0667 	  if `unit_var'_`crop'==`plots'
	replace  area_crop_`crop'=`quantity_var'_`crop'*0.4		  if `unit_var'_`crop'==`acres'
	replace  area_crop_`crop'=`quantity_var'_`crop'*1		  if `unit_var'_`crop'==`hectares'
	//replace  area_crop_`crop'=`quantity_var'_`crop'*0.0001    if `unit_var'_`crop'==`sq_meters'
	//replace  area_crop_`crop'=`quantity_var'_`crop'=. if `unit_var'_`crop'==4	
	la var   area_crop_`crop' "Area of crop `crop'"
	
	}
	
	forval crop=1/7{
	replace  area_crop_`crop'=`quantity_var'_`crop'*0.002708  					///
			 if `unit_var'_`crop'==`other'  & crop_1_4_unit_oth_`crop'=="Ridges"
			 }
  		 

* Generating production variables: Each variable will be generated for e/crop 
* ---------------------------------------------------------------------------
  local crop "millet  rice    maize  sorghum   groundnut cowpea  soybean"
  local code " 1       2       3       4            5        6     7    "

	forval i=1/7 {
	local   cropName: word `i' of `crop'
	local   cropCode: word `i' of `code' 
    gen     d_cult_`cropName'=(crop_1_2b_`cropCode'==1)
	replace d_cult_`cropName'=. if num_crops_cult==. 
	la var  d_cult_`cropName' "HH cultivated `cropName'"
	
	gen     area_cult_`cropName'= area_crop_`cropCode'
	replace area_cult_`cropName'=0 if area_crop_`cropCode'==0
	la var  area_cult_`cropName' "Area cultivated with `cropName'" 
	
	gen     dm_cult_`cropName'= crop_1_3_`cropCode'
	recode  dm_cult_`cropName' (5=4) (6=4)
	replace dm_cult_`cropName'=. if  d_cult_`cropName'==0
	la var  dm_cult_`cropName' "Who within the household decided to cultivate this crop"
	la def  dm_crops  1 "Yourself" 2 "Partner" 3 "Joint" 4 "Other", modify 
	la val  dm_cult_`cropName' dm_crops

}
   recode ag_11_2_* (2=0)
   
   egen d_cult_millet_bl=anymatch(crop_id_*_*_bl), value(46)
   egen d_cult_rice_bl=anymatch(crop_id_*_*_bl), value(63)
   egen d_cult_maize_bl=anymatch(crop_id_*_*_bl), value(42)
   egen d_cult_sorghum_bl=anymatch(crop_id_*_*_bl), value(33)
   egen d_cult_groundnut_bl=anymatch(crop_id_*_*_bl), value(31)
   egen d_cult_cowpea_bl=anymatch(crop_id_*_*_bl), value(8)
   egen d_cult_soybean_bl=anymatch(crop_id_*_*_bl), value(67)

   
   foreach var of varlist d_cult_*_bl{
   replace `var'=. if num_crops_cult_bl==.
   }
 
   

** Standarizing quantities in KL 
** -----------------------------------------
  forval n=1/7{
  local  unit_var   crop_1_5ua_`n'
  global quant_var  crop_1_5q_`n' crop_1_6_`n'   crop_1_7_`n'    crop_1_9_`n' ///
                    crop_1_10_`n' crop_1_11_`n'  crop_1_12_`n'
   foreach var in $quant_var{
   replace    `var'=`var'*25 if `unit_var'==1 
   replace    `var'=`var'*100 if `unit_var'==2 
   replace    `var'=`var'*2.75 if `unit_var'==3 
   }
   }

** Standarizing prices so we can calculate an estimate in value 
** -------------------------------------------------------------
* Change price per unit to price per kilo
 * (We are going to use those reported by man only)  
  forval n=1/7{
   local  unit_var   crop_1_5ua_`n'
   gl     price_var  crop_1_8_`n'
   foreach var in $price_var{
   replace    `var'=`var'*25 if `unit_var'==1 
   replace    `var'=`var'*100  if `unit_var'==2 
   replace    `var'=`var'*2.75   if `unit_var'==3 
   replace  `var'=. if inf_1_5==1
   
   } 
   }
  
* Generating price by unit and village 
  clonevar vill=village_new_bl
  forval cropCode=1/7{ 
  gen temp_cp`cropCode'=(crop_1_8_`cropCode'<.)
  gl  geographic_area vill ward lga
  foreach geo_unit of varlist $geographic_area{
  bysort `geo_unit': egen mean_price_kg_`geo_unit'_`cropCode'=mean(crop_1_8_`cropCode')
  la var mean_price_kg_`geo_unit'_`cropCode' "Price per KG at `geo_unit' level (Mean)"
  }
  }
  
** 3). Count how many units reported a value on specific crop per enumeration area 
* We do not want to use if crop was not harvest as often  
  forval cropCode=1/7{ 
  gl  geographic_area vill ward lga
  foreach geo_unit of varlist $geographic_area{
  bysort `geo_unit': egen num_farm_`geo_unit'_cp`cropCode'=total(temp_cp`cropCode') 
  } 
  }
  drop temp_cp*
  
  /* If the number of units in ea is greater than 10 (95% of cases) we can
   use average and median of price in the enumeration area but if not, we 
   will use mean of price in the next geographic area and so on until we have 
   price fo all reported crops.
   The order of geographic areas is: ea(363)->lga (350)->state (37)-> zone
   We have to use prices per zone just for a a few cases.
   It is important to note that even if ea is smaller than LGA some 
   HH might be in different LGS but same EA this is because Local goverment 
   areas definition  (Check LGA defitnion)
   */

* 4. Generating final prices from hh data 
  forval cropCode=1/7{ 
     gen     mean_ind_price_kg_`cropCode'=mean_price_kg_vill_`cropCode'
	 replace mean_ind_price_kg_`cropCode'=. if num_farm_vill_cp`cropCode'<=10
	 replace mean_ind_price_kg_`cropCode'=mean_price_kg_ward_`cropCode' if mean_ind_price_kg_`cropCode'==.
	 replace mean_ind_price_kg_`cropCode'=. if num_farm_ward_cp`cropCode'<=10
	 replace mean_ind_price_kg_`cropCode'=mean_price_kg_lga_`cropCode' if mean_ind_price_kg_`cropCode'==.
	 replace mean_ind_price_kg_`cropCode'=. if num_farm_lga_cp`cropCode'<=10
	 la var  mean_ind_price_kg_`cropCode' "Individual crop price `cropCode' per KG (mean)"
    }
  
   
* Generating variables by crop
* ------------------------------------------------------------------------------  
  local harv_var   crop_1_5q
  local proc_var   crop_1_6
  local sold_var   crop_1_7
  local price_var  crop_1_8
  local cons_var   crop_1_9
  local paym_var   crop_1_10
  local stor_var   crop_1_11
  local post_var   crop_1_12  
  
  local crop "millet  rice    maize  sorghum   groundnut cowpea  soybean"
  local code " 1       2       3       4            5        6     7    "

	forval i=1/7 {
	local   cropName: word `i' of `crop'
	local   cropCode: word `i' of `code'
    
	gen     harv_`cropName'_qt=`harv_var'_`cropCode'
	la var  harv_`cropName'_qt  "Quantity harvested of `cropName'"
	
	gen     harv_`cropName'_val=harv_`cropName'_qt*mean_ind_price_kg_`cropCode' 
	replace harv_`cropName'_val=harv_`cropName'_val
	la var  harv_`cropName'_val  "Value harvested of `cropName' using computed prices"
    
	gen     proc_`cropName'_qt=`proc_var'_`cropCode'
	la var  proc_`cropName'_qt  "Quantity processed of `cropName'"
	
	gen     sold_`cropName'_qt=`sold_var'_`cropCode'
	la var  sold_`cropName'_qt  "Quantity sold of `cropName'"
	
	gen     sold_`cropName'_val=sold_`cropName'_qt*mean_ind_price_kg_`cropCode' 
	la var  sold_`cropName'_val  "Value sold of `cropName'"	

    gen     fsoldharv_`cropName'=sold_`cropName'_qt/harv_`cropName'_qt
    la var  fsoldharv_`cropName' "% sold of `cropName'"
	
	gen     cons_`cropName'_qt=`cons_var'_`cropCode'
	la var  cons_`cropName'_qt  "Quantity consumed of `cropName'"
	replace cons_`cropName'_qt=harv_`cropName'_qt if cons_`cropName'_qt>harv_`cropName'_qt
	
	gen     cons_`cropName'_val=cons_`cropName'_qt*mean_ind_price_kg_`cropCode' 
	la var  cons_`cropName'_val  "Value consumed of `cropName'"		
	
    gen     fconsharv_`cropName'=cons_`cropName'_qt/harv_`cropName'_qt
    la var  fconsharv_`cropName' "% consumption of `cropName'"
	
	gen     paym_`cropName'_qt=`paym_var'_`cropCode'
	la var  paym_`cropName'_qt  "Quantity given as payment of `cropName'"

	gen     paym_`cropName'_val=paym_`cropName'_qt*mean_ind_price_kg_`cropCode'
	la var  paym_`cropName'_val  "Value given as payment of `cropName'"	
	
    gen     fpaymharv_`cropName'=paym_`cropName'_qt/harv_`cropName'_qt
    la var  fpaymharv_`cropName' "% payment of `cropName'"	
	
	gen     stor_`cropName'_qt=`stor_var'_`cropCode'
	la var  stor_`cropName'_qt  "Quantity stored of `cropName'"
  
	gen     stor_`cropName'_val=stor_`cropName'_qt*mean_ind_price_kg_`cropCode'
	la var  stor_`cropName'_val  "Value stored of `cropName'"
  
    gen     fstoreharv_`cropName'=stor_`cropName'_qt/harv_`cropName'_qt
    la var  fstoreharv_`cropName' "% storted of `cropName'"	
	
  	gen     post_`cropName'_qt=`post_var'_`cropCode'
	la var  post_`cropName'_qt  "Quantity post harvest lost of `cropName'"

  	gen     post_`cropName'_val=post_`cropName'_qt*mean_ind_price_kg_`cropCode'
	la var  post_`cropName'_val  "Value post harvest lost of `cropName'"	
	
    gen     fpostharv_`cropName'=post_`cropName'_qt/harv_`cropName'_qt
    la var  fpostharv_`cropName' "% postharvest lost of `cropName'"	
	
	gen     yield_`cropName'_ha=harv_`cropName'_val/area_cult_`cropName'
	replace yield_`cropName'_ha=0 if harv_`cropName'_val==0 | area_cult_`cropName'==0
	la var  yield_`cropName'_ha "Value `cropName' harvested over area cultivated"
	
	gen     quant_`cropName'_ha= harv_`cropName'_qt/area_cult_`cropName'
	replace quant_`cropName'_ha=0 if harv_`cropName'_qt==0 | area_cult_`cropName'==0
	la var  quant_`cropName'_ha "Quantity of `cropName' harvested over area cultivated"	
	
	winsor area_cult_`cropName', gen (w_area_cult_`cropName') p (0.05)

    gen     fsoldcons_`cropName'=sold_`cropName'_qt/cons_`cropName'_qt
    la var  fsoldcons_`cropName' "% sold over consuption of`cropName'"	
  }
  

  
    local crop "millet  rice   maize  sorghum   groundnut cowpea  soybean"
  
	* Winsorazing quantities 
	foreach cropName in millet rice maize sorghum groundnut cowpea{

	winsor harv_`cropName'_qt, gen(w_harv_`cropName'_qt) p(0.05)
	winsor proc_`cropName'_qt, gen(w_proc_`cropName'_qt) p(0.05)
	winsor sold_`cropName'_qt, gen(w_sold_`cropName'_qt) p(0.05)
	winsor cons_`cropName'_qt, gen(w_cons_`cropName'_qt) p(0.05)
	winsor paym_`cropName'_qt, gen(w_paym_`cropName'_qt) p(0.05)
	winsor stor_`cropName'_qt, gen(w_stor_`cropName'_qt) p(0.05)	
	winsor post_`cropName'_qt, gen(w_post_`cropName'_qt) p(0.05)	
	
	winsor sold_`cropName'_val, gen(w_sold_`cropName'_val) p(0.01)
	winsor cons_`cropName'_val, gen(w_cons_`cropName'_val) p(0.01)
	winsor paym_`cropName'_val, gen(w_paym_`cropName'_val) p(0.01)
	winsor stor_`cropName'_val, gen(w_stor_`cropName'_val) p(0.01)	
	winsor post_`cropName'_val, gen(w_post_`cropName'_val) p(0.01)		
	
	}
	
	local cropName soybean
	clonevar w_harv_`cropName'_qt=harv_`cropName'_qt
	clonevar w_proc_`cropName'_qt=proc_`cropName'_qt
	clonevar w_sold_`cropName'_qt=sold_`cropName'_qt
	clonevar w_cons_`cropName'_qt=cons_`cropName'_qt
	clonevar w_paym_`cropName'_qt=paym_`cropName'_qt
	clonevar w_stor_`cropName'_qt=stor_`cropName'_qt
	clonevar w_post_`cropName'_qt=post_`cropName'_qt 
  
 	clonevar w_sold_`cropName'_val=sold_`cropName'_val
	clonevar w_cons_`cropName'_val=cons_`cropName'_val
	clonevar w_paym_`cropName'_val=paym_`cropName'_val
	clonevar w_stor_`cropName'_val=stor_`cropName'_val
	clonevar w_post_`cropName'_val=post_`cropName'_val 
	
  * Using Prices from Market data at baselinne
  /* I am using the data shared by Sree called: Price_data and information on 
   the email sent on feb 2nd, 2023. 
   Prices of crop per mudu unit
   Birnin: Millet 255,      rice 400 ,     maize 224 ,    sorghum256,  groundnut 202, cowpea 404
   Danko:  Millet 246.3636, rice 410.9091, maize 215.4545, sorghum 220, groundnut 136, cowpea 392.5
   Since these are per mudu we need to scalate them to kilos (*2.5)
   */
  
    local crop "millet rice maize sorghum groundnut cowpea soybean"
     foreach cropName in `crop'{    
	 gen price_`cropName'=. 
	 }
	 
	 local   cropName millet 
	 replace price_`cropName'=255*2.5    if lgacode_bl==1
	 replace price_`cropName'=246.36*2.5 if lgacode_bl==2
	 
	 local   cropName rice 
	 replace price_`cropName'=400*2.5   if lgacode_bl==1
	 replace price_`cropName'=410.9*2.5 if lgacode_bl==2	 
	 
	 local   cropName maize 
	 replace price_`cropName'=224*2.5    if lgacode_bl==1
	 replace price_`cropName'=215.45*2.5 if lgacode_bl==2	 	 
	 
	 local   cropName sorghum 
	 replace price_`cropName'=256*2.5 if lgacode_bl==1
	 replace price_`cropName'=220*2.5 if lgacode_bl==2	 
	 
	 local   cropName groundnut
	 replace price_`cropName'=202*2.5 if lgacode_bl==1
	 replace price_`cropName'=136*2.5 if lgacode_bl==2	 
	 
	 local   cropName cowpea
	 replace price_`cropName'=404*2.5 if lgacode_bl==1
	 replace price_`cropName'=392.5*2.5 if lgacode_bl==2	 	 	
	
 *  Generating harvesting using baseline outcome  
    local crop "millet  rice    maize  sorghum   groundnut cowpea  soybean"
    local code " 1       2       3       4            5        6     7    "
	forval i=1/7 {
	local   cropName: word `i' of `crop'
	local   cropCode: word `i' of `code'
	
	
	* Baseline prices with baseline prices 
	gen    harv_`cropName'_val_bl=harv_`cropName'_qt_bl*price_`cropName' 
	la var harv_`cropName'_val_bl "Baseline:Value harvested using baseline prices(`cropName')"
	
	* Endline values with baseline pries 
	gen    harv_`cropName'_val_end=harv_`cropName'_qt*price_`cropName'
	la var harv_`cropName'_val_end "Endline:Value harvested using baseline prices(`cropName')"	
	
	* Baseline prices with baseline prices 
	gen    w_harv_`cropName'_val_bl=w_harv_`cropName'_qt_bl*price_`cropName' 
	la var w_harv_`cropName'_val_bl "Baseline:Value harvested using baseline prices(`cropName')"
	
	* Endline values with baseline pries 
	gen    w_harv_`cropName'_val_end=w_harv_`cropName'_qt*price_`cropName'
	la var w_harv_`cropName'_val_end "Endline:Value harvested using baseline prices(`cropName')"
	
	
	** Endline values with baseline prices 
	gen     sold2_`cropName'_val=sold_`cropName'_qt*price_`cropName' 
	la var  sold2_`cropName'_val  "Value sold of `cropName'"	
	
	gen     cons2_`cropName'_val=cons_`cropName'_qt*price_`cropName' 
	la var  cons2_`cropName'_val  "Value consumed of `cropName'"		
	
	gen     paym2_`cropName'_val=paym_`cropName'_qt*price_`cropName' 
	la var  paym2_`cropName'_val  "Value given as payment of `cropName'"	

	gen     stor2_`cropName'_val=stor_`cropName'_qt*price_`cropName' 
	la var  stor2_`cropName'_val  "Value stored of `cropName'"

  	gen     post2_`cropName'_val=post_`cropName'_qt*price_`cropName' 
	la var  post2_`cropName'_val  "Value post harvest lost of `cropName'"			
	
	
	}

  * Generating yields for same prices
    local crop "millet  rice    maize  sorghum   groundnut cowpea  soybean"
    local code " 1       2       3       4            5        6     7    "
	forval i=1/7 {
	local   cropName: word `i' of `crop'
	local   cropCode: word `i' of `code'
	
	
	* Baseline prices with baseline prices 
	gen     yield_`cropName'_bl=harv_`cropName'_val_bl/area_cult_`cropName'_bl 
	la var  yield_`cropName'_bl "Baseline:Agriculture Yields(`cropName' W/95)"
	replace yield_`cropName'_bl=0 if harv_`cropName'_val_bl==0 | area_cult_`cropName'_bl==0
	
	* Endline values with baseline pries 
	gen     yield_`cropName'_end=harv_`cropName'_val_end/area_cult_`cropName'
	la var  yield_`cropName'_end "Endline:Agriculture Yields (`cropName' W/95)"	
	replace yield_`cropName'_end=0 if harv_`cropName'_val_end==0 | area_cult_`cropName'==0
	
	* Baseline prices with baseline prices 
	gen      w_yield_`cropName'_bl=w_harv_`cropName'_val_bl/w_area_cult_`cropName'_bl 
	la var   w_yield_`cropName'_bl "Baseline:Agriculture Yields(`cropName' W/95)"
	replace  w_yield_`cropName'_bl=0 if  w_harv_`cropName'_val_bl==0 |  w_area_cult_`cropName'_bl==0
	
	* Endline values with baseline pries 
	gen     w_yield_`cropName'_end=w_harv_`cropName'_val_end/w_area_cult_`cropName'
	la var  w_yield_`cropName'_end "Endline:Agriculture Yields (`cropName' W/95)"
	replace w_yield_`cropName'_end=0 if w_harv_`cropName'_val_end==0 | w_area_cult_`cropName'==0
	
	}
   
   
  * Overall variables
    egen    ttl_area_cult_bl=rowtotal(area_cult_*_bl)
	la var  ttl_area_cult_bl "Total area cultivated with main crops"
	
    egen    ttl_area_cult=rowtotal(area_cult_millet area_cult_rice ///
	                               area_cult_maize area_cult_sorghum ///
								   area_cult_groundnut area_cult_cowpea ///
								   area_cult_soybean)
	la var  ttl_area_cult "Total area cultivated with main crops"
	
	egen    ttl_qtharvest_crops=rowtotal(harv_*_qt)
	la var  ttl_qtharvest_crops "Total quantity harvest"

    egen    ttl_qtsold_crops=rowtotal(sold_*_qt) 
	la var  ttl_qtsold_crops "Total quantity sold main crops"
	replace ttl_qtsold_crops=ttl_qtharvest_crops if ttl_qtsold_crops>ttl_qtharvest_crops
	
    egen    ttl_qtcons_crops=rowtotal(cons_*_qt)
	la var  ttl_qtcons_crops "Total quantity consumed main crops"
	replace ttl_qtcons_crops=ttl_qtharvest_crops if ttl_qtcons_crops>ttl_qtharvest_crops

    egen    ttl_qtstore_crops=rowtotal(stor_*_qt)
	la var  ttl_qtstore_crops "Total quantity stored main crops"
	replace ttl_qtstore_crops=ttl_qtharvest_crops if ttl_qtstore_crops>ttl_qtharvest_crops	
	
	egen    ttl_qtpaym_crops=rowtotal(paym_*_qt) 
	la var  ttl_qtpaym_crops "Total quantity payment for labor main crops"
	replace ttl_qtpaym_crops=ttl_qtharvest_crops if ttl_qtpaym_crops>ttl_qtharvest_crops
	
	egen    ttl_qtpost_crops=rowtotal(post_*_qt) 
	la var  ttl_qtpost_crops "Total quantity post harvest loss for labor main crops"
	replace ttl_qtpost_crops=ttl_qtharvest_crops if ttl_qtpost_crops>ttl_qtharvest_crops
	
	egen    temp_ttl_harv=rowtotal(ttl_qtsold_crops ttl_qtcons_crops ///
	                      ttl_qtpaym_crops ttl_qtpost_crops ttl_qtstore_crops)
	
	gen     frac_soldharv_qt=ttl_qtsold_crops/temp_ttl_harv
	la var  frac_soldharv_qt "Fraction harvested of main crops that was sold"

	gen     frac_consharv_qt=ttl_qtcons_crops/temp_ttl_harv
	la var  frac_consharv_qt "Fraction harvested of main crops that was consumption"
	
	gen     frac_paymharv_qt=ttl_qtpaym_crops/temp_ttl_harv
	la var  frac_paymharv_qt "Fraction harvested of main crops that was payment for labor"

	gen     frac_postharv_qt=ttl_qtpost_crops/temp_ttl_harv
	la var  frac_postharv_qt "Fraction harvested of main crops that was post harvest lost"	
		
	gen     frac_storeharv_qt=ttl_qtstore_crops/temp_ttl_harv
	la var  frac_storeharv_qt "Fraction harvested of main crops that was stored"

	gen     frac_soldcons_qt=ttl_qtsold_crops/ttl_qtcons_crops
	la var  frac_soldcons_qt "Rate sold to consumption of main crops harvested"	
	drop    temp_ttl_harv

	
   * Values 	
	egen ttl_solharv=rowtotal(sold2_*_val)
	egen ttl_consharv=rowtotal(cons2_*_val) 
	egen ttl_paymharv=rowtotal(paym2_*_val) 
    egen ttl_storharv=rowtotal(stor2_*_val)
	egen ttl_postharv=rowtotal(post2_*_val)
	
	gen ttl_solharv_ha=ttl_solharv/ttl_area_cult
	gen ttl_consharv_ha=ttl_consharv/ttl_area_cult
	gen ttl_paymharv_ha=ttl_paymharv/ttl_area_cult
	gen ttl_storharv_ha=ttl_storharv/ttl_area_cult	
	gen ttl_postharv_ha=ttl_postharv/ttl_area_cult		
	
	egen    ttl_valharv_crops=rowtotal(harv_*_val)
	la var  ttl_valharv_crops "Total value harvested"
	egen    ttl_valharv_crops_bl=rowtotal(harv_*_val_bl)
	la var  ttl_valharv_crops_bl "Total value harvested"
	gen     ttl_yields_ha=ttl_valharv_crops/ttl_area_cult
    la var  ttl_yields_ha "Total harvested over area cultivated"
	gen     ttl_qtyields_ha=ttl_qtharvest_crops/ttl_area_cult
    la var  ttl_qtyields_ha "Total qt harvested over area cultivated"
		
// Note: I'm not going to wins until the end otherwise wins to the wrong levels 
/* Winsor variables 	
	gl   yields  yield_millet_ha     yield_rice_ha        yield_maize_ha 		///
				 yield_sorghum_ha	 yield_groundnut_ha   yield_cowpea_ha       ///
				 quant_millet_ha     quant_rice_ha        quant_maize_ha 		///
				 quant_sorghum_ha	 quant_groundnut_ha   quant_cowpea_ha       ///
				 ttl_yields_ha       area_cult_millet 	  area_cult_rice 		///
				 area_cult_maize	 area_cult_sorghum    area_cult_groundnut	///		
				 area_cult_cowpea    ttl_area_cult        ttl_valharvest_crops  ///
				 ttl_qtyields_ha    ttl_ave_hours_month  ttl_ave_hours_week
	foreach var of varlist $yields{
	winsor `var', gen (w_`var') p (0.01)
	la var  `var' "`var' (winsor 0.01)"
	ihstrans `var'
	}
*/
  
  
 ** Decision making 
   gl dm_var dm_cult_*
   foreach var of varlist $dm_var{
   tab `var', gen(d_`var')
   }
   
 * Renaming variable at baseline so they matched folliwng rounds 
   //ren total_crops_roster_bl  num_crops_cult_bl  
   ren ttl_own_rent_plots     num_plots
   

   * Keeping by respondent 
    gl ag_var_bl yield_*_bl  w_yield_*_bl      
   
 	foreach var of varlist $ag_var_bl{
	gen `var'_w=`var'  if time==2 & inf_1_5==1
	gen `var'_h=`var'  if time==2 & inf_1_5==2  			
	}  
   
   * Set of variables we want to split by respondent and just keep for wave 3
      
    gen  ttl_area_cult_bl_w=ttl_area_cult_bl if time==2 & inf_1_5==1
    gen  ttl_area_cult_bl_h=ttl_area_cult_bl if time==2 & inf_1_5==2
	
	gen  ttl_valharv_crops_bl_w=ttl_valharv_crops_bl if time==2 & inf_1_5==1
	gen  ttl_valharv_crops_bl_h=ttl_valharv_crops_bl if time==2 & inf_1_5==2
	
   # d;
     gl ag_var  num_plots                              
	            num_crops_cult     
				d_cult_* d_dm_cult_*  
				yield_*_ha  
				frac_*_qt
				ttl_yields_ha     
				ttl_qtyields_ha 
				ttl_valharv_crops 
				ttl_area_cult 
				yield_*_end       
				w_yield_*_end     
				quant_*_ha        
				ttl_spend_* 
				d_any_ext 
				ttl_hrs_week       
				ttl_hrs_month 
				ttl_daysseas_hhmem 
				ttl_hhhdaysseas    ttl_spodaysseas 
				ttl_daymen_hired   ttl_seassal_hmen
				ttl_daywomen_hired ttl_seassal_hwomen
				ttl_daychild_hired ttl_seassal_hchild  
				ttl_wagehlabor
				ttl_solharv-ttl_postharv_ha;
	# d cr;
	
	foreach var of varlist $ag_var{
	gen `var'_f3_w=`var'  if time==2 & inf_1_5==1
	gen `var'_f3_h=`var'  if time==2 & inf_1_5==2  			
	}
