**Baseline business outcomes
///br business_work_bl hhroster_2_1_bl hhroster_2_2_bl labor_1_1_bl labor_1_2_bl enterprise* if business_work_bl==1 

forvalues j=1/4 {
clonevar owner_bus_`j'_bl = enterprise_3_`j'_bl
split owner_bus_`j'_bl, destring
}

*********************************************************************************************
*******NEW DEFINITION OF BUSINESS WORK AT BASELINE?
***Business Work at Baseline Alternative (impute zeros for women who don't report any business activity at baseline enterprise_1_bl; plus 12 businesses who report women have a business in the enterprise section)
clonevar business_work_new_bl = business_work_bl
replace business_work_new_bl = 1 if enterprise_1_bl==1 & ((owner_bus_1_bl1==female_respondent_bl) | (owner_bus_1_bl1==female_respondent_bl) | (owner_bus_1_bl2==female_respondent_bl) | (owner_bus_1_bl3==female_respondent_bl) | (owner_bus_2_bl1==female_respondent_bl) | (owner_bus_2_bl2==female_respondent_bl) | (owner_bus_3_bl1==female_respondent_bl) | (owner_bus_4_bl1==female_respondent_bl))
recode business_work_new_bl (.=0) if  enterprise_1_bl!=.

*********************************************************************************************

**PROFITS
**If the female is named as the business owner we attribute the profit to her (sometimes the business profit might be reported by a different HH member but ownership is attributed to her)
gen profits_fem_bus_1_bl = enterprise_18_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl1==female_respondent_bl)
replace profits_fem_bus_1_bl = enterprise_18_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl2==female_respondent_bl)
replace profits_fem_bus_1_bl = enterprise_18_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl3==female_respondent_bl)

gen profits_fem_bus_2_bl = enterprise_18_2_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_2_bl1==female_respondent_bl)
replace profits_fem_bus_2_bl = enterprise_18_2_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_2_bl2==female_respondent_bl)

gen profits_fem_bus_3_bl = enterprise_18_3_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_3_bl1==female_respondent_bl)

gen profits_fem_bus_4_bl = enterprise_18_4_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_4_bl1==female_respondent_bl)
 
egen profits_fem_bus_bl = rowtotal(profits_fem_bus_1_bl profits_fem_bus_2_bl profits_fem_bus_3_bl profits_fem_bus_4_bl) 
 
**STOCK OF RAW MATS CURRENTLY OWNED
gen rawmats_stock_fem_bus_1_bl = enterprise_21_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl1==female_respondent_bl)
replace rawmats_stock_fem_bus_1_bl = enterprise_21_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl2==female_respondent_bl)
replace rawmats_stock_fem_bus_1_bl = enterprise_21_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl3==female_respondent_bl)

gen rawmats_stock_fem_bus_2_bl = enterprise_21_2_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_2_bl1==female_respondent_bl)
replace rawmats_stock_fem_bus_2_bl = enterprise_21_2_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_2_bl2==female_respondent_bl)

gen rawmats_stock_fem_bus_3_bl = enterprise_21_3_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_3_bl1==female_respondent_bl)

gen rawmats_stock_fem_bus_4_bl = enterprise_21_4_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_4_bl1==female_respondent_bl)

egen rawmats_stock_fem_bus_bl = rowtotal(rawmats_stock_fem_bus_1_bl rawmats_stock_fem_bus_2_bl rawmats_stock_fem_bus_3_bl rawmats_stock_fem_bus_4_bl) 

***Raw materials listed in the costs section (30DAYS)
gen rawmats_lastmonth_fem_bus_1_bl = enterprise_24_6_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl1==female_respondent_bl)
replace rawmats_lastmonth_fem_bus_1_bl = enterprise_24_6_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl2==female_respondent_bl)
replace rawmats_lastmonth_fem_bus_1_bl = enterprise_24_6_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl3==female_respondent_bl)

gen rawmats_lastmonth_fem_bus_2_bl = enterprise_24_6_2_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_2_bl1==female_respondent_bl)
replace rawmats_lastmonth_fem_bus_2_bl = enterprise_24_6_2_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_2_bl2==female_respondent_bl)

gen rawmats_lastmonth_fem_bus_3_bl = enterprise_24_6_3_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_3_bl1==female_respondent_bl)

gen rawmats_lastmonth_fem_bus_4_bl = enterprise_24_6_4_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_4_bl1==female_respondent_bl)

egen rawmats_lastmonth_fem_bus_bl = rowtotal(rawmats_lastmonth_fem_bus_1_bl rawmats_lastmonth_fem_bus_2_bl rawmats_lastmonth_fem_bus_3_bl rawmats_lastmonth_fem_bus_4_bl)

***Sales in last month
gen sales_lastmonth_fem_bus_1_bl = enterprise_23_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl1==female_respondent_bl)
replace sales_lastmonth_fem_bus_1_bl = enterprise_23_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl2==female_respondent_bl)
replace sales_lastmonth_fem_bus_1_bl = enterprise_23_1_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_1_bl3==female_respondent_bl)

gen sales_lastmonth_fem_bus_2_bl = enterprise_23_2_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_2_bl1==female_respondent_bl)
replace sales_lastmonth_fem_bus_2_bl = enterprise_23_2_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_2_bl2==female_respondent_bl)

gen sales_lastmonth_fem_bus_3_bl = enterprise_23_3_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_3_bl1==female_respondent_bl)

gen sales_lastmonth_fem_bus_4_bl = enterprise_23_4_bl if business_work_new_bl==1 & enterprise_1_bl==1 & (owner_bus_4_bl1==female_respondent_bl)

egen sales_lastmonth_fem_bus_bl = rowtotal(sales_lastmonth_fem_bus_1_bl sales_lastmonth_fem_bus_2_bl sales_lastmonth_fem_bus_3_bl sales_lastmonth_fem_bus_4_bl)

recode profits_fem_bus_bl rawmats_stock_fem_bus_bl rawmats_lastmonth_fem_bus_bl sales_lastmonth_fem_bus_bl (*=.) if business_work_new_bl==.
recode profits_fem_bus_bl rawmats_stock_fem_bus_bl rawmats_lastmonth_fem_bus_bl sales_lastmonth_fem_bus_bl (0=.) if enterprise_1_bl==0 &  business_work_new_bl==1

**********************************************************************************************
**CONSUMPTION: Creating a baseline Daily Adult Equivalence Consumption Measure
**Daily per capita Consumption using adult equivalence
**********************************************************************************************

/***Adult Equivalence Scale: Commonly used is the OECD scale, which may be written as  AE = =1 + 0.7(Nadults −1) + 0.5Nchildren
*/

**Where number of children are those who are aged under <15years old in the household and are therefore given a lower weight

gen num_adults_bl = num_hh_members_bl - number_children_bl

*If num_adults<0 then maybe all the children don't actually live in the household?

replace num_adults_bl = num_hh_members_bl if num_adults_bl<=0

gen adult_eq_bl = 1 + ((num_adults_bl-1)*0.7) + (number_children_bl*0.5)

gen daily_adulteq_expenses_bl = daily_hh_expenses_bl/adult_eq_bl
//winsor daily_adulteq_expenses_bl, gen(w_daily_adulteq_expenses_bl) p(0.01) 

//la var w_daily_adulteq_expenses_bl "Daily adult eq expenditures BL"

**Summary stats
//sum w_daily_adulteq_expenses_bl 

**********************************************************************************************
***Assets at baseline- I winsorize the current asset value from the aspirations section at baseline at the 95 percentile 
**********************************************************************************************
sum aspire_a21_bl
winsor aspire_a21_bl, gen(w_aspire_a21_bl) p(0.05) 
clonevar nonland_assets_bl = w_aspire_a21_bl


*** 
* OTHER VARIABLES RELATED TO BUSINESS
********************************************************************
recode inf_1_12_3 (2=0)
gen wage_emp_w=inf_1_12_3  if inf_1_5==1 & inf_1_1b==1
gen wage_emp_h=inf_1_12_3  if inf_1_5==2 & inf_1_1b==1

clonevar source_rawmat=new_act_1_19b
odkmchoice source_rawmat, numcategories(6)
clonevar year_bus=new_act_1_17b

** 
* INCOME & loans 
gl var_list household_income
gen hh_income_w=household_income  if inf_1_5==1 & inf_1_1b==1
gen hh_income_h=household_income  if inf_1_5==2 & inf_1_1b==1

gen ttl_hh_loans_w=sav_1_5 if inf_1_5==1 & inf_1_1b==1
gen ttl_hh_loans_h=sav_1_5 if inf_1_5==2 & inf_1_1b==1

ren daily_percapita_income_bl daily_pc_income_bl


