* **************************************************************** *
* **************************************************************** *
*	NIGERIA Feed the future										   *
*   food sedcutiry and consumption outcomes  					   *    		
*   2019														   *
* **************************************************************** *
* **************************************************************** *
 
  * Food Security and nutrition in the household 
    replace nfs_10_1=. if nfs_10_1<0
	replace nfs_10_2=. if nfs_10_2<0
	drop    nfs_10_3_1
	recode  nfs_10_3_* nfs_10_4 (2=0)
	

 *  Midline and Endline 	
	forvalues j=2/7 {
	gen hh_hadto_`j'_rev = 1 if hh_hadto_`j'==0
	replace hh_hadto_`j'_rev = 0 if hh_hadto_`j'==1
	}


	gen foodinsec_notenoughfood_rev = 1 if foodinsec_notenoughfood==0
	replace foodinsec_notenoughfood_rev = 0 if foodinsec_notenoughfood==1

	gen ate_meatfish = 1 if fs_3_1_6==1
	replace ate_meatfish = 0 if fs_3_1_6==2

	gen meals_adults_over2 = 1 if nfs_10_1>2 & nfs_10_1!=.
	recode meals_adults_over2 (.=0) if nfs_10_1!=.
   
    gen num_daymeals_adults=nfs_10_1
	gen num_daymeals_child=nfs_10_2
	
	
	global foodsecurity "hh_hadto_2_rev hh_hadto_3_rev hh_hadto_4_rev hh_hadto_5_rev hh_hadto_6_rev hh_hadto_7_rev foodinsec_notenoughfood_rev ate_meatfish meals_adults_over2"
	clonevar foody1 = hh_hadto_2_rev 
	clonevar foody2 = hh_hadto_3_rev 
	clonevar foody3 = hh_hadto_4_rev 
	clonevar foody4 = hh_hadto_5_rev 
	clonevar foody5 = hh_hadto_6_rev 
	clonevar foody6 = hh_hadto_7_rev 
	clonevar foody7 = foodinsec_notenoughfood_rev 
	clonevar foody8 = ate_meatfish 
	clonevar foody9 = meals_adults_over2  
	
* Baseline 
  forval i=1/6{
  clonevar foody`i'_bl=foodsecurity_fem_1_`i'_bl
  }
  clonevar foody7_bl=foodsecurity_fem_5_bl
  recode   foody?_bl (1=0) (0=1)  
  
  egen     foody8_bl=anymatch(Beef_Food_bl Goat_Food_bl Fish_Food_bl Chicken_Food_bl Mutton_Food_bl), value (1) 
  replace  foody8_bl=. if food_id_1_bl>=.
  
  gen      foody9_bl=(foodsecurity_fem_2_adults_bl>2 & foodsecurity_fem_2_adults_bl<=.) 
  replace  foody9_bl=. if foodsecurity_fem_2_adults_bl>=.
  gen num_daymeals_adults_bl=foodsecurity_fem_2_adults_bl
  gen num_daymeals_child_bl=foodsecurity_fem_2_kids_bl
	
 
 
 
  la var foody1_bl "Did not go a whole day and night without eating anything?"
  la var foody2_bl "Did not go to sleep at night hungry because there is not enough food?"
  la var foody3_bl "Did not have no food or any kind in your household?"
  la var foody4_bl "Did not borrow food, or rely on help from a friend or relative?"
  la var foody5_bl "Did not reduce number of meals eaten in a day?"
  la var foody6_bl "Did not restrict consumption by adults in order for small children to eat?"
  la var foody7_bl "In the last 7 days hh did not face situation not enough food" 
  la var foody8_bl "Ate meat or fish in the alst 7 days"
  la var foody9_bl "Adults eat more than 2 meals per day"
  la var num_daymeals_adults_bl "Baseline: Number of daily meals take by adults"
  la var num_daymeals_child_bl  "Baseline: Number of daily meals take by children"
  
 
 * Keeping just answers from women 
   foreach var of varlist foody?_bl num_daymeals_adults_bl num_daymeals_child_bl ///
                          foody? num_daymeals_adults  num_daymeals_child{
   replace `var'=. if inf_1_5==2
   }
 
 * Generating variable for midline and endline at the household level
   foreach var of varlist foody? num_daymeals_adults  num_daymeals_child{
	bysort hhid: egen `var'_f2=max(`var') if time==1 
	bysort hhid: egen `var'_f3=max(`var') if time==2 
    }
 
 
 ** Dietary diversity Score 
    drop dietary_diversity_score_bl
	gen dietary_diversity_score_bl_1 = .
	gen dietary_diversity_score_bl_2 = .
	gen dietary_diversity_score_bl_3 = .
	gen dietary_diversity_score_bl_4 = .
	gen dietary_diversity_score_bl_5 = .
	gen dietary_diversity_score_bl_6 = .
	gen dietary_diversity_score_bl_7 = .

	foreach var of varlist food_id_*_bl {
	 replace dietary_diversity_score_bl_1 = 1 if `var'==1 | `var'==2 | `var'==3 | `var'==4 | `var'==5  // Cereals Maize, rice, sorghum, millet, bread
	 replace dietary_diversity_score_bl_2 = 1 if `var'==17 | `var'==18 | `var'==21 | `var'==22  // Roots and tubers 
	 replace dietary_diversity_score_bl_3 = 1 if `var'==25 | `var'==14 | `var'==15 | `var'==16 | `var'==19 | `var'==24  // Dark green leafy vegetables and other vegetables
	 replace dietary_diversity_score_bl_4 = 1 if `var'==20  // Fruits
	 replace dietary_diversity_score_bl_5 = 1 if `var'==31 | `var'==32 | `var'==13  // Legumes and nuts and beans
	 replace dietary_diversity_score_bl_6 = 1 if `var'==7 | `var'==8 | `var'==9 | `var'==10  // Meat
	 replace dietary_diversity_score_bl_7 = 1 if `var'==12 | `var'==27  // Milk and eggs
		}

    egen    dietdiv_score_bl = rowtotal(dietary_diversity_score_bl_*) 
    replace dietdiv_score_bl = 0 if dietdiv_score_bl ==. & food_id_1_bl!=.
    la var  dietdiv_score_bl "Dietary Diversity Score (7food groups) BL"

  * Renaming other dietar diversity score so they match baseline 
    ren dietary_diversity_score dietdiv_score
	
	
   ** Food and nond food Consumption 
	la var expenses_food_7days    "Food Consumption last 7 days (Purchased)"
	la var cons_food_7days        "Food Consumption last 7 days (own production + purchases + gifts)"
	la var nonfoodexpenses_7day   "Non-Food Expenditures  last 7 days" 
	la var nonfoodexpenses_30day  "Non-Food Expenditures  last 30 days"
	
	* I'm combining 30 days and 7 days categories so we can compare with out food security measures 
	gen     temp=nonfoodexpenses_30day/30
	replace temp=temp*7
	
	gen     exp_ttlnonfood_7d=temp+nonfoodexpenses_7day
	la var  exp_ttlnonfood_7d "Non-Food expenditures total last 7 days"
	drop temp
	
	* Dividing by adul equivalence so it makes sense to compare with total consumption
	gen     exp_ttlnonfood_7dae=exp_ttlnonfood_7d/adult_eq
	gen     exp_ttlfood_7dae=expenses_food_7days/adult_eq
	gen     exp_ttlconfood_7dae=cons_food_7days/adult_eq
	la var  exp_ttlnonfood_7dae "Non-Food expenditures total last 7 days (Adult Eq)"
	la var  exp_ttlfood_7dae    "Food expenditures total last 7 days (Adult Eq)"	
	la var  exp_ttlconfood_7dae "Food expenditures total last 7 days (Adult Eq)"	
	
	 
	* Using baseline variables 
	egen    exp_ttlnonfood_7dae_bl=rowtotal(nonfoodexpenses_daily_*_bl)
	replace exp_ttlnonfood_7dae_bl=exp_ttlnonfood_7dae_bl*7
	replace exp_ttlnonfood_7dae_bl=exp_ttlnonfood_7dae_bl/adult_eq
	la var  exp_ttlnonfood_7dae_bl "Baseline:Non-Food expenditures total last 7 days (Adult Eq)"
	
	egen    exp_ttlfood_7dae_bl=rowtotal(foodexpenses_bl)
	replace exp_ttlfood_7dae_bl=exp_ttlnonfood_7dae_bl/adult_eq	
	la var  exp_ttlfood_7dae_bl "Baseline:Food expenditures total last 7 days (Adult Eq)"		
	
 * Keeping just answers from women 
   foreach var of varlist exp_ttlnonfood_7dae_bl  exp_ttlfood_7dae_bl ///
						  exp_ttlnonfood_7dae exp_ttlfood_7dae ///
						  exp_ttlconfood_7dae dietdiv_score_bl dietdiv_score{
   replace `var'=. if inf_1_5==2
   }
 
 ///exp_4_5_1 exp_4_5_2 exp_4_5_8 exp_4_6_1 exp_4_6_2 exp_4_6_8
 
   gen ttl_educ_exp_hh=exp_4_6_1
   replace  ttl_educ_exp_hh=0 if  exp_4_6_1==. 

   
   gen ttl_healthv2_exp_hh=exp_4_6_8
   replace  ttl_healthv2_exp_hh=0 if  exp_4_6_8==. 
   
 * Generating variable for midline and endline at the household level
   foreach var of varlist exp_ttlnonfood_7dae exp_ttlfood_7dae ///
						  exp_ttlconfood_7dae dietdiv_score ttl_educ_exp_hh ///
						  ttl_healthv2_exp_hh {
	bysort hhid: egen `var'_f2=max(`var') if time==1 
	bysort hhid: egen `var'_f3=max(`var') if time==2 
    }
	

	