* **************************************************************** *
*	NIGERIA Feed the future										   *
*   ENDLINE														   *    		
*   2018														   *
*   Section:       												   *
* **************************************************************** *
/*Special Notes:*/


*** =========================================================================***
*   CONSTRUCTION OF VARIABLES FOR THIS SECTION
*** =========================================================================***
  ** Inputs 
  ** ---------------------------------------------------------------------------
	egen   ttl_spend_orgfert=rowtotal(inp_1_3_*)
	la var ttl_spend_orgfert "Total spend on organic fertilizers" 
	sum    ttl_spend_orgfert 
	
    egen   ttl_spend_inorgfert=rowtotal(inp_1_5_*)
	la var ttl_spend_inorgfert "Total spend on inorganic fertilizers" 
	sum    ttl_spend_inorgfert 
	
	egen   ttl_spend_seeds=rowtotal(inp_1_7_*)
	la var ttl_spend_seeds "Total spend on local vines/stems/seeds" 
	sum    ttl_spend_seeds 
	
	
  ** Labor
  ** ---------------------------------------------------------------------------
    /*PG: We are missing a variable that indicates which member of the househol 
	  work in the plot 
	  We also have a problem with seasonality because it seems they do not
	  understand the number of weeks reported. For this I'm going to generate and
	  average of hours per month*/
	  
	* Household labor
	  recode inp_1_10a_* (-777=.a)
	  recode inp_1_10b_* (-777=.a)	  
	  recode inp_1_10c_* (-777=.a)	  	  
	  
	  local hours   inp_1_10c
	  local days    inp_1_10b
	  local weeks   inp_1_10a
	  
	  forval rostmem=1/23{
	  forval plot=1/9{
	  gen     ave_hrs_week_`rostmem'_`plot'=(`hours'_`rostmem'_`plot'*`days'_`rostmem'_`plot')/`weeks'_`rostmem'_`plot'
	  replace ave_hrs_week_`rostmem'_`plot'=0 if `weeks'_`rostmem'_`plot'==0
	  la var  ave_hrs_week_`rostmem'_`plot' "Average hour per week worked by `rostmem' on plot `plot'"
	  
	  gen     daysseas_`rostmem'_`plot'=`days'_`rostmem'_`plot'*`weeks'_`rostmem'_`plot'
	  replace daysseas_`rostmem'_`plot'=0 if `weeks'_`rostmem'_`plot'==0
	  la var  daysseas_`rostmem'_`plot' "Total days worked by `rostmem' on plot `plot' last agriculture season"
	  
	  }
	  }
	
	  forval rostmem=1/20{
	  forval plot=1/9{	
	  gen hhhdaysseas_`rostmem'_`plot'=daysseas_`rostmem'_`plot' if  ///
	                        hhroster_3_`rostmem'_bl==1 & ros_1_1_`rostmem'==1	  
	  gen spodaysseas_`rostmem'_`plot'=daysseas_`rostmem'_`plot' if  ///
	                        hhroster_3_`rostmem'_bl==2 & ros_1_1_`rostmem'==1	  
	  }
	  }
	  egen    ttl_hrs_week=rowtotal(ave_hrs_week_*)
	  la var  ttl_hrs_week "Number of hrs work per week by members of household"
	  
	  gen     ttl_hrs_month=ttl_hrs_week*4
	  la var  ttl_hrs_month "Number of hrs work per month by members of household"
	 
	  egen    ttl_daysseas_hhmem=rowtotal(daysseas_*)
	  la var  ttl_daysseas_hhmem "Ttl days worked by household members in plots in the last season"
	 
	  egen    ttl_hhhdaysseas=rowtotal(hhhdaysseas_*)
	  la var  ttl_hhhdaysseas "Ttl days worked by hhh in plots in the last season" 
	 
	  egen    ttl_spodaysseas=rowtotal(spodaysseas_*)
	  la var  ttl_spodaysseas "Ttl days worked by spouse in plots in the last season" 	 
	 
	* Hire labor  
	  egen    ttl_men_hired=rowtotal(inp_1_11_1_*)
	  la var  ttl_men_hired "Total number of men hired"
	
	  egen    ttl_daymen_hired=rowtotal(inp_1_11_2_*)
	  la var  ttl_daymen_hired "Total number of days/men hired"
      
	  egen    daily_salmen=rowtotal(inp_1_11_3_?)
	  la var  daily_salmen "Ttl daily salary of hired men"
	  
	  gen     ttl_seassal_hmen=ttl_daymen_hired*daily_salmen
	  la var  ttl_seassal_hmen "Total wage of hired men during season"
	  
	  egen    ttl_women_hired=rowtotal(inp_1_12_1_*)
	  la var  ttl_women_hired "Total number of women hired"
	
	  egen    ttl_daywomen_hired=rowtotal(inp_1_12_2_*)
	  la var  ttl_daywomen_hired "Total number of days/women hired" 
	       
	  egen     daily_salwomen=rowtotal(inp_1_12_3_?)
	  la var  daily_salwomen "Ttl daily salary of hired women"
	  
	  gen     ttl_seassal_hwomen=ttl_daywomen_hired*daily_salwomen
	  la var  ttl_seassal_hwomen "Total wage of hired women during season"
	  
	  egen    ttl_child_hired=rowtotal(inp_1_13_1_*)
	  la var  ttl_child_hired "Total number of children hired"
	
	  egen    ttl_daychild_hired=rowtotal(inp_1_13_2_*)
	  la var  ttl_daychild_hired "Total number of days/child hired"
	  
	  
	  egen    daily_salchild=rowtotal(inp_1_12_3_?)
	  la var  daily_salchild "Ttl daily salary of hired women"
	  
	  gen     ttl_seassal_hchild=ttl_daychild_hired*daily_salchild
	  la var  ttl_seassal_hchild "Total wage of hired children during season"
	  
	  egen    ttl_wagehlabor=rowtotal(ttl_seassal_hwomen ttl_seassal_hmen ttl_seassal_hchild)
	  la var  ttl_wagehlabor "Total wage pay to hired labor"
	  
	  