*_______________________________________Creating Indices for Endline Report

****CASH SAVINGS: Winsorizing value at 1% level
foreach var of varlist cash_savings silc_savings loan_amount inputvouchers_amount cat_grants_amount startup_grants_amount {
winsor `var', gen(w_`var') p(0.01)
}

*****INVESTMENTS - redone before creating an index

***ASSET VARIABLES - need to add in time == 1
foreach var of varlist anim_5_8_* farm_6_4_6* farm_6_5_6* hha_7_3_* hha_7_4_* anim_5_9_501 anim_5_9_502 anim_5_9_503 anim_5_9_504 anim_5_9_505 anim_5_9_509 {
replace `var' = . if `var'<0
recode `var' (777=.)
}

**Drop the already created vars for time==2
drop number_animals current_value_animals number_farmassets current_value_farmassets number_hhassets current_value_hhassets
drop w_current_value_animals w_current_value_farmassets w_current_value_hhassets

**Current value of animals owned?

egen current_value_animals=rowtotal(anim_5_9_501 anim_5_9_502 anim_5_9_503 anim_5_9_504 anim_5_9_505 anim_5_9_509) 
la var current_value_animals "Current value of animals owned EL"

**Number of animals owned?

sum anim_5_8_*

egen number_animals=rowtotal(anim_5_8_501 anim_5_8_502 anim_5_8_503 anim_5_8_504 anim_5_8_505 anim_5_8_509)
la var number_animals "Number of animals currently owned EL"

**Number of farm assets owned?
recode farm_6_4_6* (-2 =.)
sum farm_6_4_6*

egen number_farmassets=rowtotal(farm_6_4_6*)

**Current value of farm assets owned?
egen current_value_farmassets=rowtotal(farm_6_5_6*)

**Number of household assets owned?
sum hha_7_3_*

egen number_hhassets=rowtotal(hha_7_3_*)

**Current value of household assets owned?
egen current_value_hhassets=rowtotal(hha_7_4_*)

foreach var of varlist number_farmassets current_value_farmassets number_hhassets current_value_hhassets {
la var `var' "`var' currently owned at EL"
}

****Winsorizing value at 1% level
foreach var of varlist number_animals number_farmassets number_hhassets current_value_animals current_value_farmassets current_value_hhassets {
winsor `var', gen(w_`var') p(0.05)
}

**Value of non-land assets = total value of all non-land assets owned by the household - includes savings, livestock, durable goods
sum w_cash_savings w_silc_savings loan_access w_loan_amount input_vouchers w_inputvouchers_amount cat_grants w_cat_grants_amount startup_grants w_startup_grants_amount roof_iron w_daily_percapita_expenses w_daily_adulteq_expenses dietary_diversity_score foodinsec_notenoughfood happiness_score income_satisfaction 
bys time: sum number_animals w_current_value_animals number_farmassets w_current_value_farmassets number_hhassets w_current_value_hhassets

		****** VALUE OF NON-LAND ASSETS INDEX i.e. investments*****
**Value of non-land assets = total value of all non-land assets owned by the household - includes savings, livestock, durable goods 
sum w_cash_savings hous_8_9 w_current_value_animals w_current_value_farmassets w_current_value_hhassets

egen WeightedVar_NonLandAssets = rowtotal(w_cash_savings w_current_value_animals w_current_value_farmassets w_current_value_hhassets)

recode WeightedVar_NonLandAssets (0=.) if w_current_value_animals==.

***NORMS
// I am assuming lga_new_bl is the same as lga_new 
ren lga_new_bl lga_new
**Norms in the village
bys village_new_bl lga_new: egen norm_village_level_women = mean(norms_women_not_go_work) if inf_1_5==1 & inf_1_1b==1
bys village_new_bl lga_new: egen norm_village_level_men = mean(norms_women_not_go_work) if inf_1_5==2 & inf_1_1b==1
bys village_new_bl: egen norm_village_level_w = max(norm_village_level_women)
bys village_new_bl: egen norm_village_level_m = max(norm_village_level_men)


**Norms in the village (all control and treatment villages) 
sum norm_obs_over20_w

label var norm_obs_over20_w "Villages with over 20 obs for females on ind beliefs"

**Community Norms in the village
bys village_new_bl lga_new: egen commnorm_village_level_women = mean(comm_norm_male_bad_provider) if inf_1_5==1 & inf_1_1b==1
bys village_new_bl lga_new: egen commnorm_village_level_men = mean(comm_norm_male_bad_provider) if inf_1_5==2 & inf_1_1b==1
bys village_new_bl: egen commnorm_village_level_w = max(commnorm_village_level_women)
bys village_new_bl: egen commnorm_village_level_m = max(commnorm_village_level_men)

bys village_new_bl lga_new: egen commnorm_village_level_women2 = mean(comm_norm_woman_fields) if inf_1_5==1 & inf_1_1b==1
bys village_new_bl lga_new: egen commnorm_village_level_men2 = mean(comm_norm_woman_fields) if inf_1_5==2 & inf_1_1b==1
bys village_new_bl: egen commnorm_village_level_w2 = max(commnorm_village_level_women2)
bys village_new_bl: egen commnorm_village_level_m2 = max(commnorm_village_level_men2)

**Convert the individual belief into a percentage out of 100%
gen actual_norm_w = norm_village_level_w*100
gen actual_norm_m = norm_village_level_m*100

/**Histograms
**Norms in the village (all control & treatment villages with villages >20 obs for females)	   
twoway (histogram norm_village_level_w if num_vill==1 & norm_obs_over20_w==1, start(0) width(0.1) color("0 153 153")) ///
       (histogram norm_village_level_m if num_vill==1 & norm_obs_over20_w==1, start(0) width(0.1) ///
	   fcolor(none) lcolor(black)), legend(order(1 "Female" 2 "Male" )) title("Actual Norms (Believes Women Cannot Work)") 
	
**Norms in the village (all control villages with villages >20 obs for females)	
twoway (histogram norm_village_level_w if num_vill==1 & norm_obs_over20_w==1 & treat_fnlp==0, start(0) width(0.1) color("0 153 153")) ///
       (histogram norm_village_level_m if num_vill==1 & norm_obs_over20_w==1 & treat_fnlp==0, start(0) width(0.1) ///
	   fcolor(none) lcolor(black)), legend(order(1 "Female" 2 "Male" )) title("Actual Norms (Believes Women Cannot Work)") subtitle("Control Villages")

**Norms in the village (all control villages with villages >20 obs for females)	
twoway (histogram norm_village_level_w if num_vill==1 & norm_obs_over20_w==1 & treat_fnlp==1, start(0) width(0.1) color("0 153 153")) ///
       (histogram norm_village_level_m if num_vill==1 & norm_obs_over20_w==1 & treat_fnlp==1, start(0) width(0.1) ///
	   fcolor(none) lcolor(black)), legend(order(1 "Female" 2 "Male" )) title("Actual Norms (Believes Women Cannot Work)") subtitle("Treatment Villages")

**Norms in the village (all control & treatment villages with villages >20 obs for females)	   
twoway (histogram commnorm_village_level_w if num_vill==1 & norm_obs_over20_w==1, start(0) width(10) color("0 153 153")) ///
       (histogram commnorm_village_level_m if num_vill==1 & norm_obs_over20_w==1, start(0) width(10) ///
	   fcolor(none) lcolor(black)), legend(order(1 "Female" 2 "Male" )) title("Perceived Norms (Share of Community Judging Male)") 

**Norms in the village: individual beliefs versus community norms	   
  
twoway (histogram actual_norm_m if num_vill==1 & norm_obs_over20_w==1, start(0) width(10) color("0 153 153")) ///
       (histogram commnorm_village_level_m2 if num_vill==1 & norm_obs_over20_w==1, start(0) width(10) ///
	   fcolor(none) lcolor(black)), legend(order(1 "Individual" 2 "Community" )) title("Individual Beliefs vs Community Norms (Share Judging Female)") 
	
twoway (histogram actual_norm_w if num_vill==1 & norm_obs_over20_w==1 & lgabirninkebbi==1, start(0) width(10) color("0 153 153")) ///
       (histogram commnorm_village_level_w2 if num_vill==1 & norm_obs_over20_w==1 & lgabirninkebbi==1, start(0) width(10) ///
	   fcolor(none) lcolor(black)), legend(order(1 "Individual" 2 "Community" )) title("Individual Beliefs vs Community Norms (Share Judging Female)") 
	
twoway (histogram actual_norm_m if num_vill==1 & norm_obs_over20_w==1, start(0) width(10) color("0 153 153")) ///
       (histogram commnorm_village_level_m if num_vill==1 & norm_obs_over20_w==1, start(0) width(10) ///
	   fcolor(none) lcolor(black)), legend(order(1 "Individual" 2 "Community" )) title("Individual Beliefs vs Community Norms (Share Judging Female)") 
	
*/

**Liberal versus Conservative - overestimate or underestimate? Optimistic or pessimistic? 
*As a female starts work does the treatment take her closer to the true value of the norm? Not just the absolute value in norms but want to check the distance between individual beliefs and community norms. 

**Do women or men overestimate the fraction of the community who judge a female for working versus the actual beliefs given by their village?
**Take the average of individual beliefs within your village:
egen actual_norm_avg = rowmean (actual_norm_w actual_norm_m)

**Use share of community that judges the female i.e. comm_norm_woman_fields: what fraction of community speak badly of woman who works in the fields
gen overestimate_norm_w = 1 if comm_norm_woman_fields > actual_norm_avg & comm_norm_woman_fields!=. & inf_1_5==1 & inf_1_1b==1
recode overestimate_norm_w (.=0) if comm_norm_woman_fields <= actual_norm_avg & comm_norm_woman_fields!=. & inf_1_5==1 & inf_1_1b==1

gen overestimate_norm_m = 1 if comm_norm_woman_fields > actual_norm_avg & comm_norm_woman_fields!=. & inf_1_5==2 & inf_1_1b==1
recode overestimate_norm_m (.=0) if comm_norm_woman_fields <= actual_norm_avg & comm_norm_woman_fields!=. & inf_1_5==2 & inf_1_1b==1

gen overestimate_norm_w_w = 1 if comm_norm_woman_fields > actual_norm_w & comm_norm_woman_fields!=. & inf_1_5==1 & inf_1_1b==1
recode overestimate_norm_w_w (.=0) if comm_norm_woman_fields <= actual_norm_w & comm_norm_woman_fields!=. & inf_1_5==1 & inf_1_1b==1

gen overestimate_norm_m_m = 1 if comm_norm_woman_fields > actual_norm_m & comm_norm_woman_fields!=. & inf_1_5==2 & inf_1_1b==1
recode overestimate_norm_m_m (.=0) if comm_norm_woman_fields <= actual_norm_m & comm_norm_woman_fields!=. & inf_1_5==2 & inf_1_1b==1

gen overestimate_norm_w_m = 1 if comm_norm_woman_fields > actual_norm_m & comm_norm_woman_fields!=. & inf_1_5==1 & inf_1_1b==1
recode overestimate_norm_w_m (.=0) if comm_norm_woman_fields <= actual_norm_m & comm_norm_woman_fields!=. & inf_1_5==1 & inf_1_1b==1

gen overestimate_norm_m_w = 1 if comm_norm_woman_fields > actual_norm_w & comm_norm_woman_fields!=. & inf_1_5==2 & inf_1_1b==1
recode overestimate_norm_m_w (.=0) if comm_norm_woman_fields <= actual_norm_w & comm_norm_woman_fields!=. & inf_1_5==2 & inf_1_1b==1

label var overestimate_norm_w "Women who overestimate comm norm of share of village judging female"
label var overestimate_norm_m "Men who overestimate comm norm of share of village judging female" 

label var overestimate_norm_w_w "Women who overestimate comm norm of share of women in village judging female"
label var overestimate_norm_m_m "Men who overestimate comm norm of share of men in village judging female" 

label var overestimate_norm_w_m "Women who overestimate comm norm of share of men in village judging female"
label var overestimate_norm_m_w "Men who overestimate comm norm of share of women in village judging female" 


egen decisionmaking_index =rowtotal(adequate_prod_5 adequate_income_5 adequate_income_1 female_plotown fem_borrow adequate_prod_6 fem_assetsale)

egen decisionmaking_index_bl_new =rowtotal(fem_plotdecisions_bl fem_earningsdecisions_bl fem_enterprisedecisions_bl fem_landrentdecisions_bl fem_borrowdecisions_bl fem_cropusedecisions_bl fem_assetsale_bl)

replace adequate_prod_5=0 if adequate_prod_5==.
replace adequate_income_5=0 if	adequate_income_5==. 
	
gl dm_var_bl 	fem_plotdecisions_bl fem_earningsdecisions_bl ///
                fem_enterprisedecisions_bl fem_landrentdecisions_bl ///
				fem_cropusedecisions_bl fem_assetsale_bl	 
				
				
gl dm_var       adequate_prod_5 adequate_income_5 adequate_income_1 female_plotown ///
                fem_borrow adequate_prod_6 fem_assetsale				

gl proweia_var adequacy_input_prod adequacy_input_income adequacy_own_assets ///
               fem_assetsale fem_borrow groupmember_any adequacy_workload    ///
			   adequacy_inc_satisfaction adequacy_attitude_viol              ///
			   adequacy_autonomy_inc adequacy_selfeff adequacy_respect	
			   
			   
foreach var of varlist $dm_var_bl $dm_var $proweia_var {
replace `var'=0 if `var'==. 	
}			   
			
			
* Generating this for women in wave one 			
swindex $dm_var_bl if treat_fnlp==0, generate(dm_aindex_bl_0) displayw 
swindex $dm_var_bl if treat_fnlp==1, generate(dm_aindex_bl_1) displayw   
		
			
swindex $dm_var if treat_fnlp==0, generate(dm_aindex_f3_0) displayw  
swindex $dm_var if treat_fnlp==1, generate(dm_aindex_f3_1) displayw   


swindex $proweia_var if treat_fnlp==0, generate(proweia_aindex_0) displayw 
swindex $proweia_var if treat_fnlp==1, generate(proweia_aindex_1) displayw 

	
foreach var in dm_aindex_bl dm_aindex_f3 proweia_aindex{
gen `var'=. 
replace `var'=`var'_0 if treat_fnlp==0
replace `var'=`var'_1 if treat_fnlp==1	
} 



drop proweai_sum_indicators
egen proweai_sum_indicators = rowtotal(adequacy_input_prod adequacy_input_income adequacy_own_assets fem_assetsale fem_borrow groupmember_any adequacy_workload adequacy_inc_satisfaction adequacy_attitude_viol adequacy_autonomy_inc adequacy_selfeff adequacy_respect)
recode proweai_sum_indicators (*=.) if weai_2==.





/* For creating index There is no single best way to proceed. It depends on what you understand the relationships among these variables and the construct representing the index to be. If you are trying to extract a concept of maternal hardship that you think is, in a sense, the common essence of all 14 questions, and your expectation is that the fourteen behaviors covered by the questions are correlated by virtue of being reflections of that common essence, then you probably should do a factor analysis. On the other hand, if these are various, loosely related behaviors that one might see among different mothers experiencing hardship but not necessarily various results of a common cause, then a summative index (just count how many are endorsed) might be best. There is a good discussion of this distinction in Alan Acock's Discovering Structural Equation Modeling using Stata.*/
