* **************************************************************** *
*	NIGERIA Feed the future										   *
*   ENDLINE														   *    		
*   2018														   *
*   Section:       												   *
* **************************************************************** *
/*Special Notes:*/


*** =========================================================================***
*   CONSTRUCTION OF VARIABLES FOR THIS SECTION
*** =========================================================================***

    forval plot=1/23{
    gen     d_own_rent_plot_`plot'=(plot_1_4_`plot'==1 | plot_1_4_`plot'==2)
	la var  d_own_rent_plot_`plot' "This household rent or owns plot `plot'"
	replace d_own_rent_plot_`plot'=. if plot_1_4_`plot'==.
	
	gen     d_own_plot_`plot'=(plot_1_4_`plot'==1)
	la var  d_own_plot_`plot' "This household rent owns plot `plot'"
	replace d_own_plot_`plot'=. if plot_1_4_`plot'==.
	
	gen     d_purch_plot_`plot'=(plot_1_5_`plot'==6)
	la var  d_purch_plot_`plot' "Plot `plot' was purchased"
	replace d_purch_plot_`plot'=. if plot_1_5_`plot'==.

	gen     d_cult_plot_`plot'=(plot_1_7_`plot'==1)
	replace d_cult_plot_`plot'=. if plot_1_7_`plot'==.
	la var  d_cult_plot_`plot' "Plot `plot' was cultivated `plot'"
	
	gen     d_irrig_plot_`plot'=(plot_1_10_`plot'==1)
	replace d_irrig_plot_`plot'=. if plot_1_10_`plot'==.
	la var  d_irrig_plot_`plot' "Plot `plot' was irrigated"
	
	gen     d_monocrop_plot_`plot'=(plot_1_11_`plot'==1)
	replace d_monocrop_plot_`plot'=. if plot_1_10_`plot'==.
	la var  d_monocrop_plot_`plot' "Method of cropping of plot `plot' was monocropping"
	
	gen     d_intercrop_plot_`plot'=(plot_1_11_`plot'==2)
	replace d_intercrop_plot_`plot'=. if plot_1_10_`plot'==.
	la var  d_intercrop_plot_`plot' "Method of cropping of plot `plot' was intercropping"	
	}
	
	egen    ttl_own_rent_plots=rowtotal(d_own_rent_plot_*)
	la var  ttl_own_rent_plots "Total number of own or rent plots within hh" 
	sum     ttl_own_rent_plots
	
	egen    ttl_own_plots=rowtotal(d_own_rent_plot_*)
	la var  ttl_own_plots "Total number of own plots within hh" 
	sum     ttl_own_plots
	
	egen    ttl_purch_plots=rowtotal(d_purch_plot_*)
	la var  ttl_purch_plots "Total number of own plots within hh" 
	sum     ttl_purch_plots
	
	egen    ttl_cult_plots=rowtotal(d_cult_plot_*)
	la var  ttl_cult_plots "Total number of cultivated plots of hh" 
	sum     ttl_cult_plots
		
	egen    ttl_irrig_plots=rowtotal(d_irrig_plot_*)
	la var  ttl_irrig_plots "Total number of irrigated plots of hh" 
	sum     ttl_irrig_plots
	
	gen     prop_purch_plots=ttl_purch_plots/ttl_own_plots
	la var  prop_purch_plots "Proportion of purchased plot over total of own plots"
	sum     prop_purch_plots 
	
	gen     prop_irrig_plots=ttl_irrig_plots/ttl_own_plots
	la var  prop_irrig_plots "Proportion of irrigated plot over total of own plots"
	sum     prop_irrig_plots 
	
	egen    d_atleast_monocrop=anymatch(d_monocrop_plot_*), value(1)
	la var  d_atleast_monocrop "At least one plot was monocropping"
	
	egen    d_atleast_intercrop=anymatch(d_intercrop_plot_*), value(1)
	la var  d_atleast_intercrop "At least one plot was intercropping"	
	
** Standarizing Area of plot if still rented or 
/*PG: ask for standarization*/

	* Units 
	local heaps  		1
	local ridges		2
	local stands		3
	local plots			4	
	local acres			5
	local hectares		6	
	local sq_meters		7
	local other			8
	local quantity_var  plot_1_6a 
	local unit_var      plot_1_6b
	
	forval plot=1/7{
	gen      area_plot_`plot'=`quantity_var'_`plot' if d_own_rent_plot_`plot'==1
	replace  area_plot_`plot'=`quantity_var'_`plot'*0.0001516 if `unit_var'_`plot'==`heaps'
	replace  area_plot_`plot'=`quantity_var'_`plot'*0.002708 if `unit_var'_`plot'==`ridges'
	replace  area_plot_`plot'=`quantity_var'_`plot'*0.00014 if `unit_var'_`plot'==`stands'
	replace  area_plot_`plot'=`quantity_var'_`plot'*0.0667 if `unit_var'_`plot'==`plots'
	replace  area_plot_`plot'=`quantity_var'_`plot'*0.4 if `unit_var'_`plot'==`acres'
	replace  area_plot_`plot'=`quantity_var'_`plot' if `unit_var'_`plot'==`hectares'
	replace  area_plot_`plot'=`quantity_var'_`plot'*0.0001 if `unit_var'_`plot'==`sq_meters'
	replace  area_plot_`plot'=. if `unit_var'_`plot'==`other'		
	la var   area_plot_`plot' "Area of plot `plot'"
    
	gen      area_cult_plot_`plot'=area_plot_`plot' if d_cult_plot_`plot'==1
	la var   area_cult_plot_`plot' "Area of cultivated plot `plot'"
	
	}
	
	
  ** Generating area cultivated by each crop 
   	* Units 
	local heaps  		1
	local ridges		2
	local stands		3
	local plots			4	
	local acres			5
	local hectares		6	
	local sq_meters		7
	local other			8

	forval  plotnum=1/7{
	 forval cropnum=1/5{	
	local   quantity_var  plotcroproster_3_`cropnum'_`plotnum'_bl
	local   unit_var      plotcroproster_3_unit_`cropnum'_`plotnum'_bl		
		
	gen      area_plot_`plotnum'_`cropnum'=.  
	replace  area_plot_`plotnum'_`cropnum'=`quantity_var'*0.0001516    if `unit_var'==`heaps'
	replace  area_plot_`plotnum'_`cropnum'=`quantity_var'*0.002708     if `unit_var'==`ridges'
	replace  area_plot_`plotnum'_`cropnum'=`quantity_var'*0.00014      if `unit_var'==`stands'
	replace  area_plot_`plotnum'_`cropnum'=`quantity_var'*0.0667       if `unit_var'==`plots'
	replace  area_plot_`plotnum'_`cropnum'=`quantity_var'*0.4          if `unit_var'==`acres'
	replace  area_plot_`plotnum'_`cropnum'=`quantity_var'              if `unit_var'==`hectares'
	replace  area_plot_`plotnum'_`cropnum'=`quantity_var'*0.0001       if `unit_var'==`sq_meters'
	replace  area_plot_`plotnum'_`cropnum'=.                           if `unit_var'==`other'		
	la var   area_plot_`plotnum'_`cropnum' "Total area planted on this `plotnum' with the `cropnum'(HA)"
	 }
	}
   
   
 	* We add up all the quantities to generate a total per crop 
    local crop "millet   rice    maize  sorghum   groundnut cowpea  soybean"
    local code " 46       63      42       33         31      8     67    "
 	forval i=1/7 {
	local   cropName: word `i' of `crop'
	local   cropCode: word `i' of `code'  

	forval  plotnum=1/7{
	 forval cropnum=1/5{		
	gen      area_`cropName'_`plotnum'_`cropnum' =. 
	replace  area_`cropName'_`plotnum'_`cropnum'= area_plot_`plotnum'_`cropnum' ///
	                                           if crop_id_`cropnum'_`plotnum'_bl==`cropCode'	
	}
	}	
	}	
	

	** Adding all areas cultivated by same crop 
    local crop "millet   rice    maize  sorghum   groundnut cowpea  soybean"	
	foreach cropName in `crop'{
	egen    area_cult_`cropName'_bl=rowtotal(area_`cropName'_?_?)
	la var  area_cult_`cropName'_bl "Total area cultivated with `cropName' (hectares)"
	drop    area_`cropName'_?_?	
	winsor  area_cult_`cropName'_bl , gen(w_area_cult_`cropName'_bl) p (0.05)
    }
	
   drop    area_plot_?_?
	
	
**  Assigning an agricultural season to each plot 
   forval plot=1/7{
    gen     d_sjunsep17_plot_`plot'=(plot_1_12_`plot'==1)
	replace d_sjunsep17_plot_`plot'=. if plot_1_12_`plot'==.
	la var  d_sjunsep17_plot_`plot' "Season of plot `plot' is june-sept 2017" 
   
    gen     d_smarjun18_plot_`plot'=(plot_1_12_`plot'==2)
	replace d_smarjun18_plot_`plot'=. if plot_1_12_`plot'==.
	la var  d_smarjun18_plot_`plot' "Season of plot `plot' is march-june 2018" 	
	}
		
	egen    atleast_junsep17_plot=anymatch( d_sjunsep17_plot_*), value(1)
	la var  atleast_junsep17_plot "At least one plot cultivated in june-sep 2017"
	
	egen    atleast_marjun18_plot=anymatch( d_smarjun18_plot_*), value(1)
	la var  atleast_marjun18_plot "At least one plot cultivated in marjun18"
	
	/*
	
* Dropping variable we wont use that much:
  drop 	d_own_rent_plot_* d_own_plot_*  d_purch_plot_* d_monocrop_plot_* ///
  d_intercrop_plot_**/
	