* **************************************************************** *
*	NIGERIA Feed the future										   *
*   ENDLINE														   *    		
*   2018														   *
*   Section: Roster core      								       *
* **************************************************************** *
/*Special Notes: For this section is important to always run the odkmeta dofile
  that is in the fodler others*/

*** =========================================================================***
*   CONSTRUCTION OF VARIABLES FOR THIS SECTION
*** =========================================================================***

** Extra Cleaning 
** -----------------------------------------------------------------------------
   drop chck_*
   //drop namepipe_*
   drop cros_1_3_oth_*


  forval i=2/21{
   la var cros_1_3_`i' "If no, why?"
  }

** New variables
** =============================================================================  
/*Note: We have up to 25 members per household (old members)
Roster information missing for 300 hh*/

	la def yes_no 1 "Yes" 0 "No" .d "Don't know" .r "Refuse to answer", modify
	foreach var in cros_1_2_* ros_1_4_*{
	recode `var' (2=0)
	la val  `var' yes_no
	}
* Temporary migration 
	forval hhmem=1/25{
	gen        hhmem_temp_migr`hhmem'=(cros_1_3_`hhmem'==3)
	replace    hhmem_temp_migr`hhmem'=. if cros_1_3_`hhmem'==. 
	la var     hhmem_temp_migr`hhmem' "Household member `hhmem' has temporary migrated"
	} 

* Generating Gender of head of household 
	egen    temp=anymatch(ros_1_4_*), value(1)
	bysort  hhid: egen any_hhmem_health=max(temp) 
	la var  any_hhmem_health "Any member of the household consulted a health facility in the last 12 months"


* Generating variable that indicates who is the hh and who is the spouse 
/* This will allow us to create variables for the head of household and 
   spouse */
	gen       numhhmem_hh=1 if cros_1_6_1==1
	gen       numhhmem_hhspouse=1 if cros_1_6_1==2
	la var    numhhmem_hh "Number of the roster that is household head"
	la var    numhhmem_hhspouse "Number of the roster that is spouse household head"	
	
	forval    hhmem=2/25{
	replace   numhhmem_hh=`hhmem' if cros_1_6_`hhmem'==1
	replace   numhhmem_hh=. if cros_1_2_`hhmem'==0 & (cros_1_3_`hhmem'==1 | cros_1_3_`hhmem'==5)
	replace   numhhmem_hhspouse=`hhmem' if cros_1_6_`hhmem'==2
	replace   numhhmem_hhspouse=. if cros_1_2_`hhmem'==0 & (cros_1_3_`hhmem'==1 | cros_1_3_`hhmem'==5)
	}
	
	destring under5yrs_*, replace
	
	egen     num_under5yrs=rowtotal(under5yrs_*)
	la var   num_under5yrs "Number of children under 5 in the household" 
	sum      num_under5yrs
	
	* Generating temporary dummy that indicates the member is bwt 6-10 or 11-15
	* 6 to 18
	forval  hhmem=1/25{
	gen    tempu18g`hhmem'=(ros_1_2_`hhmem'>=6 & ros_1_2_`hhmem'<=16) & cros_1_5_`hhmem'==1
	gen    tempu18b`hhmem'=(ros_1_2_`hhmem'>=6 & ros_1_2_`hhmem'<=16) & cros_1_5_`hhmem'==2
	gen    temp610g`hhmem'=(ros_1_2_`hhmem'>=6 & ros_1_2_`hhmem'<=10) & cros_1_5_`hhmem'==1
	gen    temp610b`hhmem'=(ros_1_2_`hhmem'>=6 & ros_1_2_`hhmem'<=10) & cros_1_5_`hhmem'==2
	gen    temp1115g`hhmem'=(ros_1_2_`hhmem'>10 & ros_1_2_`hhmem'<15) & cros_1_5_`hhmem'==1
    gen    temp1115b`hhmem'=(ros_1_2_`hhmem'>10 & ros_1_2_`hhmem'<15) & cros_1_5_`hhmem'==2
    gen    tempfem15`hhmem'=(ros_1_2_`hhmem'>=15 & ros_1_2_`hhmem'<.)  & cros_1_5_`hhmem'==1
	gen    tempmal15`hhmem'=(ros_1_2_`hhmem'>=15 & ros_1_2_`hhmem'<.)  & cros_1_5_`hhmem'==2
	
	
	}
	
	egen   num_femmem_15=rowtotal(tempfem15*)
	la var num_femmem_15 "Number of female older than 15"
	egen   num_malmem_15=rowtotal(tempmal15*)
	la var num_malmem_15 "Number of male older than 15"
	
	egen   num_gmem_610yrs=rowtotal(temp610g*)
	la var num_gmem_610yrs "Number of girls between 6 and 10 years old"
	egen   num_bmem_610yrs=rowtotal(temp610b*)
	la var num_bmem_610yrs "Number of boys between 6 and 10 years old"
	
	egen   num_gmem_1115yrs=rowtotal(temp1115g*)
	la var num_gmem_1115yrs "Number of girls between 11 and 15 years old"
	egen   num_bmem_1115yrs=rowtotal(temp1115b*)
	la var num_bmem_1115yrs "Number of boys between 11 and 15 years old"
	
	// I change the temp18 to be under or equal than 16 
	egen   num_gmem_616yrs=rowtotal(tempu18g*)
	la var num_gmem_616yrs "Number of girls between 6 and 16 years old"
	egen   num_bmem_616yrs=rowtotal(tempu18b*)
	la var num_bmem_616yrs "Number of boys between 6 and 16 years old"
		
	
	
** =============================================================================	
** HEALTH VARIABLES 
** =============================================================================	
if 1{
* Generating dummies for multiple choice variables 	
   forval hhmem=1/18{
	odkmchoice ros_1_5_`hhmem', numcategories(8)
	la var ros_1_5_`hhmem'_dum_1	 "Reason: CHECK UP OR OTHER PREVENTIVE CARE (NOT LINKED TO PREGNANCY)"
	la var ros_1_5_`hhmem'_dum_2     "Reason: PRENATAL CHECKUP"
	la var ros_1_5_`hhmem'_dum_3     "Reason: GIVING BIRTH"
	la var ros_1_5_`hhmem'_dum_4     "Reason: FOLLOW UP APPOINTMENT FOR EARLIER OR CHRONIC ILLNESS"
	la var ros_1_5_`hhmem'_dum_5     "Reason: FOLLOWUP APPOINTMENT FOR EARLIER ACCIDENT"
	la var ros_1_5_`hhmem'_dum_6     "Reason: NEW OR ACUTE ILLNESS"
	la var ros_1_5_`hhmem'_dum_7     "Reason: NEW INJURY"
	la var ros_1_5_`hhmem'_dum_8     "Reason: OTHER (SPECIFY)"
	la var ros_1_5_`hhmem'_dum_dk    "Reason: dont' know"
	la var ros_1_5_`hhmem'_dum_na    "Reason: Dont apply"
	la var ros_1_5_`hhmem'_dum_other "Reason: Other"

    gen     d_absent_work_`hhmem'=(ros_1_7_`hhmem'>0 & ros_1_7_`hhmem'<.)
	la var  d_absent_work_`hhmem' "`hhmem'Absent from usual activity during the last month because of health"
	la val  d_absent_work_`hhmem' yes_no
    }
	
 * Total health expenditures 
   egen    ttl_health_exp=rowtotal(ros_1_8_*)
   la var  ttl_health_exp "Total Health Expenditures"
   //winsor  ttl_health_exp, gen(w_ttl_health_exp) p(0.01)
   //la var  w_ttl_health_exp "Total Health Expenditures of household from April 2017-today (winsor)"
   bysort  hhid: egen ttl_health_exp_hh=max(ttl_health_exp)
   la var  ttl_health_exp_hh "Total health expenditures of the household from April 2017 until today"
   drop    ttl_health_exp
	
	
  * Months health expenditure 
   forval hhmem=1/19{
	odkmchoice ros_1_9_`hhmem', numcategories(15)
	}
	
	forval month=1/15{
	egen   health_exp_`month'=anymatch(ros_1_9_*_dum_`month'), value(1)
	drop   ros_1_9_*_dum_`month'
	}
	
    ren health_exp_1  health_exp_march17
	ren health_exp_2  health_exp_april17
    ren health_exp_3  health_exp_may17
	ren health_exp_4  health_exp_june17
	ren health_exp_5  health_exp_july17
	ren health_exp_6  health_exp_aug17
	ren health_exp_7  health_exp_sept17
	ren health_exp_8  health_exp_oct17
	ren health_exp_9  health_exp_nov17
	ren health_exp_10 health_exp_dec17
	ren health_exp_11 health_exp_jan18
	ren health_exp_12 health_exp_feb18
	ren health_exp_13 health_exp_mar18
	ren health_exp_14 health_exp_apr18
	ren health_exp_15 health_exp_nr
	
    foreach month in march17 april17 may17 june17 july17 aug17 sept17 oct17 nov17 dec17 jan18 ///
	feb18 mar18 apr18 nr{
	la var health_exp_`month' "Any health expenditures of the household during `month'"
	}
	la val  health_exp_* yes_no
	
	forval hhmem=1/19{
	odkmchoice ros_1_10_`hhmem', numcategories(6)
	}
	
	egen    healthexp_source_ct=anymatch(ros_1_10_*_dum_1), value(1)
	la var  healthexp_source_ct "Health expenditures source i cash trasnfer"
}
** =============================================================================		
** EDUCATION 
** =============================================================================	
if 1{
* Literacy/level of education / read and write
* ------------------------------------------------------------------------------
	  gen   d_lev_educ_5_5=.
	  forval i=6/12{
	  gen   d_lev_educ_`i'_4=.
	  gen   d_lev_educ_`i'_5=.
      }
	  drop d_lev_educ_9_4
	  
	forval hhmem=1/12{
	 gen      d_read_memhh_`hhmem'=(ros_1_11_`hhmem'==1)
	 replace  d_read_memhh_`hhmem'=. if ros_1_11_`hhmem'==.
	 la var   d_read_memhh_`hhmem' "Member of the household `hhmem' knows how to read"
	 
	 gen      d_quran_memhh_`hhmem'=(ros_1_12_`hhmem'==1)
	 replace  d_quran_memhh_`hhmem'=. if ros_1_12_`hhmem'==.
	 la var   d_quran_memhh_`hhmem' "Member of the household `hhmem' attended any schooling for Quaran"	 
	 
	 tab      ros_1_13_`hhmem', gen (d_lev_educ_`hhmem'_)
	 la var   d_lev_educ_`hhmem'_1 "Level of education: No qualification of hhmem `hhmem'"
	 la var   d_lev_educ_`hhmem'_2 "Level of education: Primary School Certification of hhmem  `hhmem'"
	 la var   d_lev_educ_`hhmem'_3 "Level of education: SSCE/WAEC of hhmem  `hhmem'"
	 la var   d_lev_educ_`hhmem'_4 "Level of education: OND/NCE of hhmem  `hhmem'"
 	 la var   d_lev_educ_`hhmem'_5 "Level of education: HND/BSc of hhmem  `hhmem' "	
	 gen      years_school_`hhmem'=ros_1_14_`hhmem'
	 la var   years_school_`hhmem' "Number of years at school of hhmem `hhmem'" 
	 
	 gen      d_attsch_`hhmem'=(ros_1_15_`hhmem'==1)
	 la var   d_attsch_`hhmem' "Attended School `hhmem'"
	 
	 gen      hoursschool_`hhmem'=ros_1_16_`hhmem'
	 la var   hoursschool_`hhmem' "Hours in school `hhmem'"	 
	 
	 }
	 
	gen d_lev_educ_18_2=.	
	gen d_lev_educ_19_2=.	
	forval hhmem=13/19{
	 gen      d_read_memhh_`hhmem'=(ros_1_11_`hhmem'==1)
	 replace  d_read_memhh_`hhmem'=. if ros_1_11_`hhmem'==.
	 la var   d_read_memhh_`hhmem' "Member of the household `hhmem' knows how to read"
	 
	 gen      d_quran_memhh_`hhmem'=(ros_1_12_`hhmem'==1)
	 replace  d_quran_memhh_`hhmem'=. if ros_1_12_`hhmem'==.
	 la var   d_quran_memhh_`hhmem' "Member of the household `hhmem' attended any schooling for Quaran"	 
	 
	 tab      ros_1_13_`hhmem', gen (d_lev_educ_`hhmem'_)
	 la var   d_lev_educ_`hhmem'_1 "Level of education: No qualification of hhmem `hhmem'"
	 la var   d_lev_educ_`hhmem'_2 "Level of education: Primary School Certification of hhmem  `hhmem'"
 
	 gen      years_school_`hhmem'=ros_1_14_`hhmem'
	 la var   years_school_`hhmem' "Number of years at school of hhmem `hhmem'" 
	 
	 gen      d_attsch_`hhmem'=(ros_1_15_`hhmem'==1)
	 la var   d_attsch_`hhmem' "Attended School `hhmem'"	 
	 
	 gen      hoursschool_`hhmem'=ros_1_16_`hhmem'
	 la var   hoursschool_`hhmem' "Hours in school `hhmem'"	 	 
	 
	 }
	 	 
	 egen     num_hmem_illi=rowtotal(d_lev_educ_*_1)
	 la var   num_hmem_illi "Number of members in the household with no qualification"
	 
	 forval   hhmem=1/19{
	 gen      temp2g_610_`hhmem'=(d_lev_educ_`hhmem'_1==1 &  temp610g`hhmem'==1)
	 gen      temp2g_1115_`hhmem'=(d_lev_educ_`hhmem'_1==1 & temp1115g`hhmem'==1) 
	 gen      temp2g_616_`hhmem'=(d_lev_educ_`hhmem'_1==1 &  tempu18g`hhmem'==1) 
	 
	 gen      temp2b_610_`hhmem'=(d_lev_educ_`hhmem'_1==1 &  temp610b`hhmem'==1)
	 gen      temp2b_1115_`hhmem'=(d_lev_educ_`hhmem'_1==1 & temp1115b`hhmem'==1) 
	 gen      temp2b_616_`hhmem'=(d_lev_educ_`hhmem'_1==1 &  tempu18b`hhmem'==1) 	 
	 
	 gen      temp3g_610_`hhmem'=(d_attsch_`hhmem'==1 & temp610g`hhmem'==1)
	 gen      temp3g_1115_`hhmem'=(d_attsch_`hhmem'==1 & temp1115g`hhmem'==1) 
	 gen      temp3g_616_`hhmem'=(d_attsch_`hhmem'==1 & tempu18g`hhmem'==1)
	 
	 gen      temp3b_610_`hhmem'=(d_attsch_`hhmem'==1 & temp610b`hhmem'==1)
	 gen      temp3b_1115_`hhmem'=(d_attsch_`hhmem'==1 & temp1115b`hhmem'==1)  
	 gen      temp3b_616_`hhmem'=(d_attsch_`hhmem'==1 & tempu18b`hhmem'==1)	 

	 gen      temp4g_610_`hhmem'=hoursschool_`hhmem'  if  temp610g`hhmem'==1
	 gen      temp4g_1115_`hhmem'=hoursschool_`hhmem' if  temp1115g`hhmem'==1 
	 gen      temp4g_616_`hhmem'=hoursschool_`hhmem'  if  tempu18g`hhmem'==1
	 
	 gen      temp4b_610_`hhmem'=hoursschool_`hhmem'  if   temp610b`hhmem'==1
	 gen      temp4b_1115_`hhmem'=hoursschool_`hhmem'  if  temp1115b`hhmem'==1 	 
	 gen      temp4b_616_`hhmem'=hoursschool_`hhmem'  if  tempu18b`hhmem'==1
 
	 
	 }
	
	
     egen     num_gmem_illi_610=rowtotal(temp2b_610_*)
	 la var   num_gmem_illi_610 "Illiterate number of girls in the household (6 and 10 yrs)"	
	 egen     num_gmem_illi_1115=rowtotal(temp2g_1115_*)
	 la var   num_gmem_illi_1115 "Illiterate number of girls in the household (11 and 15 yrs)"	
	 egen     num_gmem_illi_616=rowtotal(temp2g_616_*)
	 la var   num_gmem_illi_616 "Illiterate number of girls in the household (6 and 16 yrs)"	
	 
	 egen     num_bmem_illi_610=rowtotal(temp2b_610_*)
	 la var   num_bmem_illi_610 "Illiterate number of boys in the household (6 and 10 yrs)"
	 egen     num_bmem_illi_1115=rowtotal(temp2g_1115_*)
	 la var   num_bmem_illi_1115 "Illiterate number of boys in the household (11 and 15 yrs)"	 	 
	 egen     num_bmem_illi_616=rowtotal(temp2b_616_*)
	 la var   num_bmem_illi_616 "Illiterate number of boys in the household (6 and 16 yrs)"	 	 
	 
	
	 gen      share_gmem_illi_610=num_gmem_illi_610/num_gmem_610yrs
	 la var   share_gmem_illi_610 "Proportion illiterate girls in the hh (6 and 10 yrs)"
	 gen      share_gmem_illi_1115=num_gmem_illi_1115/num_gmem_1115yrs	 
	 la var   share_gmem_illi_1115 "Proportion illiterate girls in the hh (11 and 15 yrs)"
	 gen      share_gmem_illi_616=num_gmem_illi_616/num_gmem_616yrs	 
	 la var   share_gmem_illi_616 "Proportion illiterate girls in the hh (6 and 16 yrs)"
	 
	 gen      share_bmem_illi_610=num_bmem_illi_610/num_bmem_610yrs
	 la var   share_bmem_illi_610 "Proportion illiterate boys in the hh (6 and 10 yrs)"
	 gen      share_bmem_illi_1115=num_bmem_illi_1115/num_bmem_1115yrs	 
	 la var   share_bmem_illi_1115 "Proportion illiterate boys in the hh (11 and 15 yrs)"	 
	 gen      share_bmem_illi_616=num_bmem_illi_616/num_bmem_616yrs	 
	 la var   share_bmem_illi_616 "Proportion illiterate boys in the hh (11 and 15 yrs)"	 	 

	 egen     num_bmem_attsch_610=rowtotal(temp3b_610_*)
	 la var   num_bmem_attsch_610 "Attending School number of boys in the household (6 and 10 yrs)"
	 egen     num_gmem_attsch_610=rowtotal(temp3b_610_*)
	 la var   num_gmem_attsch_610 "Attending School number of girls in the household (6 and 10 yrs)"
	 egen     num_bmem_attsch_1115=rowtotal(temp3g_1115_*)
	 la var   num_bmem_attsch_1115 "Attending School number of boys in the household (11 and 15 yrs)"	
	 egen     num_gmem_attsch_1115=rowtotal(temp3g_1115_*)
	 la var   num_gmem_attsch_1115 "Attending School number of girls in the household (11 and 15 yrs)"	    
	 
	 egen     num_bmem_attsch_616=rowtotal(temp3b_616_*)
	 la var   num_bmem_attsch_616 "Attending School number of boys in the household (6 to 16)"	
	 egen     num_gmem_attsch_616 =rowtotal(temp3g_616_*)
	 la var   num_gmem_attsch_616 "Attending School number of girls in the household (6 to 18)"	 	 

	 
	 gen      share_bmem_attsch_610=num_bmem_attsch_610/num_bmem_610yrs
	 la var   share_bmem_attsch_610 "Proportion Attending School boys in the hh (6 and 10 yrs)"
	 gen      share_bmem_attsch_1115=num_bmem_attsch_1115/num_bmem_1115yrs	 
	 la var   share_bmem_attsch_1115 "Proportion Attending School boys in the hh (11 and 15 yrs)"
	 gen      share_gmem_attsch_610=num_gmem_attsch_610/num_gmem_610yrs
	 la var   share_gmem_attsch_610 "Proportion Attending School girls in the hh (6 and 10 yrs)"
	 gen      share_gmem_attsch_1115=num_gmem_attsch_1115/num_gmem_1115yrs	 
	 la var   share_gmem_attsch_1115 "Proportion Attending School girls in the hh (11 and 15 yrs)"	 
	 
	 gen      share_bmem_attsch_616=num_bmem_attsch_616/num_bmem_616yrs
	 la var   share_bmem_attsch_616 "Proportion Attending School boys in the hh (6 and 16 yrs)"	 
	 gen      share_gmem_attsch_616=num_gmem_attsch_616/num_gmem_616yrs
	 la var   share_gmem_attsch_616 "Proportion Attending School girls in the hh (6 and 16 yrs)"
	 
	 
	 forval   hhmem=1/19{
	 gen      temp2_fem_`hhmem'=(d_lev_educ_`hhmem'_1==1 & cros_1_5_`hhmem'==1 & tempfem15`hhmem'==1)
	 gen      temp2_mal_`hhmem'=(d_lev_educ_`hhmem'_1==1 & cros_1_5_`hhmem'==2 & tempmal15`hhmem'==1) 
	 }
	 
	 egen     num_fem_illi=rowtotal(temp2_fem_*)
	 la var   num_fem_illi "Number of illiterate females in the household"
	 egen     num_mal_illi=rowtotal(temp2_mal_*)
     la var   num_mal_illi "Number of illiterate males in the household"
  
	 gen      share_Fmem_illi_15=num_fem_illi/num_femmem_15
	 la var   share_Fmem_illi_15 "Proportion illiterate females in hh(15 & older)"
	 gen      share_Mmem_illi_15=num_mal_illi/num_malmem_15	 
	 la var   share_Mmem_illi_15 "Proportion illiterate males in hh(15 & older)"
	 
	drop       temp2_fem_* temp2_mal_*  temp2* temp610* 

	 gen      d_lev_educ_hh=ros_1_13_1 if numhhmem_hh==1
	 gen      d_lev_educ_hhspouse=ros_1_13_1 if numhhmem_hhspouse==1
	 la var   d_lev_educ_hh         "Household head level of education"
	 la val   d_lev_educ_hh  ros_1_13_1
	 la var   d_lev_educ_hhspouse   "Spouse of household head level of education"
	 la val   d_lev_educ_hhspouse  ros_1_13_1
	 
	 forval   hhmem=2/25{
	 replace  d_lev_educ_hh=ros_1_13_`hhmem' if numhhmem_hh==`hhmem'
	 replace  d_lev_educ_hhspouse=ros_1_13_`hhmem' if numhhmem_hhspouse==`hhmem'	 
	 }
	 

* Labor for main members of the household 
    gen temp_hh=ros_1_17_1       if numhhmem_hh==1
    gen temp_hhspouse=ros_1_17_1 if numhhmem_hhspouse==1
    forval hhmem=2/25{
      replace temp_hh=ros_1_17_`hhmem'       if numhhmem_hh==`hhmem'
      replace temp_hhspouse=ros_1_17_`hhmem' if numhhmem_hhspouse==`hhmem'
     }
   odkmchoice temp_hh, numcategories(6)
   odkmchoice temp_hhspouse, numcategories(6)
  } 
  drop temp1115g* temp1115b* tempfem15* tempmal15*
** =============================================================================		
** INCOME GENERATING ACTIVITIES
** =============================================================================
if 1{
* Generate labor variables for head of household
    foreach var in hh hhspouse{
     gen      d_farm_act_`var'=(temp_`var'_dum_1==1)
	 replace  d_farm_act_`var'=. if temp_`var'_dum_1==.
	 la var   d_farm_act_`var' "Participated in farming activities on last 30 days(`var')"
	 
	 gen      d_nonfarm_act_`var'=(temp_`var'_dum_2==1)
	 replace  d_nonfarm_act_`var'=. if temp_`var'_dum_2==.
	 la var   d_nonfarm_act_`var' "Participated in non-farm activities on last 30 days (`var')"
	 
	 gen      d_wage_act_`var'=(temp_`var'_dum_3==1)
	 replace  d_wage_act_`var'=. if temp_`var'_dum_3==.
	 la var   d_wage_act_`var' "Participated in wage and salary employment on last 30 days (`var')"
	 
	 gen      d_livestock_act_`var'=(temp_`var'_dum_4==1)
	 replace  d_livestock_act_`var'=. if temp_`var'_dum_4==.
	 la var   d_livestock_act_`var' "Participated in Livestock rearing on last 30 days (`var')"
 
 	 gen      d_other_act_`var'=(temp_`var'_dum_5==1)
	 replace  d_other_act_`var'=. if temp_`var'_dum_5==.
	 la var   d_other_act_`var' "Participated in  Other on last 30 days (`var')"

	 gen      d_none_act_`var'=(temp_`var'_dum_6==1)
	 replace  d_none_act_`var'=. if temp_`var'_dum_6==.
	 la var   d_none_act_`var' "Participated in  Nonen on last 30 days (`var')" 
}
    gen       nowork_reason_hh=ros_1_19_1              if numhhmem_hh==1
	la var    nowork_reason_hh "Reason to no participate in any income generated activitie head of household"
	gen       hh_spend_firewood_hh=ros_1_21_1          if numhhmem_hh==1
	la var    hh_spend_firewood_hh "Total number of hours spend collecting/chopping firewood hh"
	gen       hh_spend_water_hh=ros_1_22_1             if numhhmem_hh==1
	la var    hh_spend_water_hh "Total number of hours spend fetching water hh"	
	gen       nowork_reason_hhspouse=ros_1_19_1        if numhhmem_hhspouse==1
	la var    nowork_reason_hhspouse "Reason to no participate in any income generated activitie hh spouse"
	gen       hh_spend_firewood_hhspouse=ros_1_21_1    if numhhmem_hh==1
	la var    hh_spend_firewood_hhspouse "Total number of hours spend collecting/chopping firewood hh spouse"
	gen       hh_spend_water_hhspouse=ros_1_22_1       if numhhmem_hhspouse==1
	la var    hh_spend_water_hhspouse "Total number of hours spend fetching water hh spouse"	
	
	forval i=1/10{
	replace nowork_reason_hh=ros_1_19_`i' if numhhmem_hh==`i'
	replace nowork_reason_hhspouse=ros_1_19_`i' if numhhmem_hhspouse==`i'
	replace hh_spend_firewood_hh=ros_1_21_`i' if numhhmem_hh==`i'
	replace hh_spend_firewood_hhspouse=ros_1_21_`i' if numhhmem_hhspouse==`i'
	replace hh_spend_water_hh=ros_1_22_`i' if numhhmem_hh==`i'
	replace hh_spend_water_hhspouse=ros_1_22_`i' if numhhmem_hhspouse==`i'
    }	
	
	drop temp temp_hh_dum_* temp_hhspouse_dum_* temp_hh temp_hhspouse
}


** Generating variables from women answer and by wave
** =============================================================================
   replace num_bmem_illi_610=.    if num_bmem_610yrs==0 
   replace share_bmem_illi_610=.  if num_bmem_610yrs==0 
   replace num_gmem_illi_610=.    if num_gmem_610yrs==0 
   replace share_gmem_illi_610=.  if num_gmem_610yrs==0    
   replace num_bmem_illi_1115=.   if num_bmem_1115yrs==0 
   replace share_bmem_illi_1115=. if num_bmem_1115yrs==0 
   replace num_gmem_illi_1115=.   if num_gmem_1115yrs==0 
   replace share_gmem_illi_1115=. if num_gmem_1115yrs==0  
   replace num_bmem_illi_616=.   if num_bmem_616yrs==0 
   replace share_bmem_illi_616=. if num_bmem_616yrs==0 
   replace num_gmem_illi_616=.   if num_gmem_616yrs==0 
   replace share_gmem_illi_616=. if num_gmem_616yrs==0  
   
   
   
   replace num_bmem_attsch_610=.   if num_bmem_610yrs==0 
   replace share_bmem_attsch_610=. if num_bmem_610yrs==0 
   replace num_gmem_attsch_610=.   if num_gmem_610yrs==0 
   replace share_gmem_attsch_610=. if num_gmem_610yrs==0    
   replace num_bmem_attsch_1115=.   if num_bmem_1115yrs==0 
   replace share_bmem_attsch_1115=. if num_bmem_1115yrs==0 
   replace num_gmem_attsch_1115=.   if num_gmem_1115yrs==0 
   replace share_gmem_attsch_1115=. if num_gmem_1115yrs==0  
   
   replace num_bmem_attsch_616=.   if num_bmem_616yrs==0 
   replace share_bmem_attsch_616=. if num_bmem_616yrs==0 
   replace num_gmem_attsch_616=.   if num_gmem_616yrs==0 
   replace share_gmem_attsch_616=. if num_gmem_616yrs==0  
   
   replace num_fem_illi=. 		  if num_femmem_15==0
   replace share_Fmem_illi_15=.   if num_femmem_15==0
   replace num_mal_illi=.         if num_malmem_15==0   
   replace share_Mmem_illi_15=.   if num_malmem_15==0  
   
   
   # d;
   gl set_var ttl_health_exp_hh
			num_bmem_illi_610      num_gmem_illi_610 
			num_bmem_illi_1115     num_gmem_illi_1115
			num_bmem_illi_616      num_gmem_illi_616
			share_bmem_illi_610    share_bmem_illi_1115 
			share_gmem_illi_610    share_gmem_illi_1115 
			share_bmem_illi_616    share_gmem_illi_616			
			num_fem_illi           num_mal_illi
			share_Fmem_illi_15     share_Mmem_illi_15
			num_bmem_attsch_610    num_gmem_attsch_610 
			num_bmem_attsch_1115   num_gmem_attsch_1115
			share_bmem_attsch_610  share_bmem_attsch_1115 
			share_gmem_attsch_610  share_gmem_attsch_1115
			num_bmem_attsch_616    num_gmem_attsch_616 		
			share_bmem_attsch_616  share_gmem_attsch_616;
  #	d cr;
  
   foreach var of varlist $set_var{
	bysort hhid: egen `var'_f3=max(`var') if time==2 
    }
	
	bysort hhid: egen ttl_health_exp_hh_f2=max(ttl_health_exp_hh) if time==1 


** Generating variables from women answer and by wave
** =============================================================================
    drop    marital_status_bl   //dropping a variable created by Sree before that cant be replicated
    gen    marital_status_bl=. 
	forval i=1/10{
	replace marital_status_bl=hhroster_6_`i'_bl if numhhmem_hh==`i'
    }
	# d;
    la def marital_status_bl 1 "Married (monogamous)" 
						  2 "Married (polygamous)"
						  4 "Divorced"
						  5 "Separated"
						  6 "Widowed"
						  7 "Never Married", modify;
	# d cr;
	la val marital_status_bl marital_status_bl
	tab     marital_status_bl, gen (marital_status_bl_) 
 
  
 
 
