* **************************************************************** *
*	NIGERIA Feed the future										   *
*   ENDLINE														   *    		
*   2018														   *
*   Section:       												   *
* **************************************************************** *
/*Special Notes:*/


*** =========================================================================***
*   CONSTRUCTION OF VARIABLES FOR THIS SECTION
*** =========================================================================***

** Baseline 
** -----------------------------------------------------------------------------
   egen d_any_loan_bl=anymatch (credit_8_?_bl credit_8_??_bl), value (1)
   egen d_any_account_bl=anymatch(credit_1_?_bl credit_1_??_bl), value (1)
   egen ttl_loan_bl=rowtotal(credit_16_?_bl credit_16_??_bl)

** Follow ups 
** -----------------------------------------------------------------------------
 ** Loans  **
   recode sav_1_3 (2=0)
   gen    d_loan_w_f2=sav_1_3 if  inf_1_5==1 & time==1
   gen    d_loan_h_f2=sav_1_3 if  inf_1_5==2 & time==1 
   gen    d_loan_w_f3=sav_1_3 if  inf_1_5==1 & time==2 
   gen    d_loan_h_f3=sav_1_3 if  inf_1_5==2 & time==2 

   gen     d_loan_f2=d_loan_h_f2
   replace d_loan_f2=d_loan_w_f2 if d_loan_f2==. 
   gen     d_loan_f3=d_loan_h_f3
   replace d_loan_f3=d_loan_w_f3 if d_loan_f3==.    
   
 ** Savings **  
   gen d_anycash=(cash_savings>0 & cash_savings<.)
   
   gen     d_anycash_w_f2=d_anycash       if  inf_1_5==1 & time==1
   gen     d_anycash_h_f2=d_anycash       if  inf_1_5==2 & time==1  
   gen     cash_savings_w_f2=cash_savings if  inf_1_5==1 & time==1 
   gen     cash_savings_h_f2=cash_savings if  inf_1_5==2 & time==1
   
   gen     d_anycash_w_f3=d_anycash       if  inf_1_5==1 & time==2 
   gen     d_anycash_h_f3=d_anycash       if  inf_1_5==2 & time==2  
   gen     cash_savings_w_f3=cash_savings if  inf_1_5==1 & time==2 
   gen     cash_savings_h_f3=cash_savings if  inf_1_5==2 & time==2  
   
   drop    d_anycash cash_savings
 
   gen     d_anycash_f2=d_anycash_h_f2
   replace d_anycash_f2=d_anycash_w_f2 if d_anycash_f2==. 
   gen     cash_savings_f2=cash_savings_h_f2
   replace cash_savings_f2=cash_savings_w_f2 if cash_savings_f2==. 
      
   gen     d_anycash_f3=d_anycash_h_f3
   replace d_anycash_f3=d_anycash_w_f3 if d_anycash_f3==. 
   gen     cash_savings_f3=cash_savings_h_f3
   replace cash_savings_f3=cash_savings_w_f3 if cash_savings_f3==. 
   
   odkmchoice sav_1_4, numcategories(10)
   drop sav_1_4_dum_4 sav_1_4_dum_6 sav_1_4_dum_dk             ///
        sav_1_4_dum_refuse sav_1_4_dum_na sav_1_4_dum_other
		// Dropping categories that no body answer yes
    
	la var sav_1_4_dum_1  "Reason loan:Agricultural Activity"
	la var sav_1_4_dum_2  "Reason loan:Business Expansion "	
	la var sav_1_4_dum_3  "Reason loan:Paying for business expenses or procuring raw materials"	
	la var sav_1_4_dum_5  "Reason loan:To start a new business"	
	la var sav_1_4_dum_7  "Reason loan:Education"	
	la var sav_1_4_dum_8  "Reason loan:Household Consumption"	
	la var sav_1_4_dum_9  "Reason loan:Health"	
	la var sav_1_4_dum_10 "Reason loan:Other reasons (specify) "	
	

    gen     d_fromwho_loan_1=(new_sav_1_4>=1 & new_sav_1_4<=4)
	replace d_fromwho_loan_1=1 if new_sav_1_4==8 
    gen     d_fromwho_loan_2=(new_sav_1_4==9 | new_sav_1_4==7)
    gen     d_fromwho_loan_3=(new_sav_1_4==6)	
    gen     d_fromwho_loan_4=(new_sav_1_4==9)	
	replace d_fromwho_loan_1=. if new_sav_1_4==. 
	replace d_fromwho_loan_2=. if new_sav_1_4==. 
	replace d_fromwho_loan_3=. if new_sav_1_4==. 
	replace d_fromwho_loan_4=. if new_sav_1_4==. 
	
	la var  d_fromwho_loan_1 "Source loan:Formal institution"
	la var  d_fromwho_loan_2 "Source loan:Informal groups"	
	la var  d_fromwho_loan_3 "Source loan:Friends and relatives"
	la var  d_fromwho_loan_4 "Source loan:Other"
	
    gen     d_whod_loan_1=(new_sav_4==1)
    gen     d_whod_loan_2=(new_sav_4==2)	
    gen     d_whod_loan_3=(new_sav_4==3)	
    gen     d_whod_loan_4=(new_sav_4>3 & new_sav_4<7)
	replace d_whod_loan_1=. if new_sav_4==.
	replace d_whod_loan_2=. if new_sav_4==.
	replace d_whod_loan_3=. if new_sav_4==.
	replace d_whod_loan_4=. if new_sav_4==.
 	la var  d_whod_loan_1 "Who decided loan:Self"
 	la var  d_whod_loan_2 "Who decided loan:Partner"	
 	la var  d_whod_loan_3 "Who decided loan:Joint"	
 	la var  d_whod_loan_4 "Who decided loan:Other"	
	
	gen     d_busgrant=(new_sav_8==1)
	replace d_busgrant=. if new_sav_8==. 
	la var  d_busgrant "Received any business grant (Yes==1)" 
  
   
    gen     d_moneyfriend_f2=(sav_1_1_2==1)
	replace d_moneyfriend_f2=. if time==2
	la var  d_moneyfriend_f2 "Used money family member or friend"

    gen     d_moneyfriend_f3=(sav_1_1_2==1)
	replace d_moneyfriend_f3=. if time==1
	la var  d_moneyfriend_f3 "Used money family member or friend"	
	
    gen     d_moneySILC_f2=(sav_1_1_3==1)
	replace d_moneySILC_f2=. if time==2
    la var  d_moneySILC_f2 "Used SILC"
	
    gen     d_moneySILC_f3=(sav_1_1_3==1)
	replace d_moneySILC_f3=. if time==1
    la var  d_moneySILC_f3 "Used SILC"	
	
	gen     num_silcm=new_sav_1_4_0
	replace num_silcm=. if new_sav_1_4_0>45
	la var  num_silcm  "Number of SILC meetings"
	
	gen     d_bankaccount=(new_sav_2==1)
	la var  d_bankaccount "Having a bank account"
	
	
  
 * Chop Money variables 
 * -----------------------------------------------------------------------------
   egen    d_chop_money=anymatch (tr_1), value (1 2 3 4)
   replace d_chop_money=. if tr_1==. 
   la var  d_chop_money "Any chop money from husband"
   
   replace tr_3=. if tr_3<0
   gen     amt_chop_money=tr_3
   la var  amt_chop_money "Amount chop money in last 30 days"
   
   clonevar   chop_money_rs=tr_4
   odkmchoice chop_money_rs, numcategories(9)
   
   la var chop_money_rs_dum_1 "Chop money reason:Daily consumption"
   la var chop_money_rs_dum_2 "Chop money reason:Housing"
   la var chop_money_rs_dum_3 "Chop money reason:Business"
   la var chop_money_rs_dum_4 "Chop money reason:Education"
   la var chop_money_rs_dum_5 "Chop money reason:Health"
   la var chop_money_rs_dum_6 "Chop money reason:Funerals"   
   la var chop_money_rs_dum_7 "Chop money reason:Ceremonies"
   la var chop_money_rs_dum_8 "Chop money reason:Savings"
   la var chop_money_rs_dum_9 "Chop money reason:Other"   
   
   drop chop_money_rs_dum_dk chop_money_rs_dum_refuse ////
        chop_money_rs_dum_na chop_money_rs_dum_other
		
		
		
		
* Generating specific 		

   gl sav_var d_moneyfriend_f? d_moneySILC_f?
    foreach var of varlist $sav_var{
   clonevar  `var'_w=`var'  if  inf_1_5==1
   clonevar  `var'_h=`var'  if  inf_1_5==2 
   }	  
   
	ren 	d_moneyfriend_f?_w d_moneyfriend_w_f?
	ren     d_moneySILC_f?_w   d_moneySILC_w_f?
	ren 	d_moneyfriend_f?_h d_moneyfriend_h_f?
	ren     d_moneySILC_f?_h   d_moneySILC_h_f?	
	 
	 
  gl sav_var sav_1_4_dum_? d_fromwho_loan_? d_whod_loan_? d_busgrant  ///
             silc_savings  num_silcm  d_bankaccount  ///
             d_chop_money  amt_chop_money chop_money_rs_dum_?	
			 
   foreach var of varlist $sav_var{
   clonevar  `var'_w=`var'  if  inf_1_5==1 & time==2 
   clonevar  `var'_h=`var'  if  inf_1_5==2 & time==2 
   }		
   
   

	 

	
	